
import {isOverflow} from "@/utils/helper";

const tocLinksInit = () => {
  const editorСontent = document.querySelector(".editor-content") as HTMLElement
  const tocs = Array.from(document.querySelectorAll(".mce-toc a")) as HTMLElement[]

  for (const toc of tocs) {
    toc.onclick = function(e: MouseEvent) {
      e.preventDefault()
      const id = toc.getAttribute('href');

      if (id) {
        const hashEl = document.querySelector(id)

        if (hashEl) {
          if (isOverflow(editorСontent)) {
            hashEl.scrollIntoView({
              block: "start",
              behavior: 'smooth',
            })
          } else {
            const offsetTop = hashEl.getBoundingClientRect().top - 100;

            window.scroll({
              top: offsetTop,
              behavior: 'smooth'
            })
          }
        }
      }
    }
  }
};

export {
  tocLinksInit,
}
