import _ from "lodash";
import {TreeNode} from "primevue/tree";

export type TreeSelectChooseType = {[id:number]: {checked: boolean}}

export function getOnlyChecked(selected: TreeSelectChooseType) {
  const result = {} as {[id:number]: {checked: boolean}}

  for (const id in selected) {
    if (selected[id].checked) {
      result[id] = selected[id]
    }
  }

  return result
}

export const treeNodesToFlatten = (collection: TreeNode[], flattened?: TreeNode[]) => {
  if (!flattened) {
    flattened = [];
  }
  _.each(collection, (obj) => {
    flattened?.push(obj);
    treeNodesToFlatten(obj.children as TreeNode[], flattened);
  });
  return flattened;
};

export function getCheckedValue(selected: TreeSelectChooseType) {
  return Object.keys(getOnlyChecked(selected))
}

export function fromArray(ids: string[]|number[]): TreeSelectChooseType {
  return _.transform((ids || []), function(result, id) {
    return result[+id] = {checked: true}
  })
}

export function isContains(searchable: number[], iterable: number[]){
  return searchable.every(value => iterable.includes(value));
}
