import Lucide from "@/base-components/Lucide";
import Button from "@/base-components/Button";
import {useRouter} from "vue-router";
import {ButtonHTMLAttributes, SetupContext, ComponentOptions} from "vue";

const BackButton: ComponentOptions = {
  name: 'BackButton',
  components: {Button, Lucide},
  setup(_: ButtonHTMLAttributes, context: SetupContext) {
    const router = useRouter()
    const onBack = (e: MouseEvent) => {
      const clickHandler = context.attrs.onClick as (e: MouseEvent) => void

      if (clickHandler) {
        clickHandler(e)

        return
      }

      router.go(-1)
    }

    return {
      onBack
    }
  }
}

export default BackButton