import LazyLoadTomSelect from "./LazyLoadTomSelect.vue";
import _ from "lodash";
import { useRoute } from "vue-router";

export {
  LazyLoadTomSelect,
};

export const useLazyLoadSelect = () => {
  const route = useRoute();

  const getPreselected = async (
    key: string,
    /* eslint-disable @typescript-eslint/no-explicit-any */
    apiMethod: (params: { ids: Array<string> }) => Promise<Array<{ [key: string]: any }>>,
    formatter: (obj: { [key: string]: any }) => { [ key: string ]: string|number }
  ): Promise<Array<{ [ key: string ]: string|number }>> =>
  {
    if (Object.keys(route.query).length > 0 && _.get(route.query, key)) {
      const preselectedIds = ((route.query[key] || []) as Array<string>).map(location => location.toString());

      if (preselectedIds.length > 0) {
        return (await apiMethod({ ids: preselectedIds }))
          .map(formatter);
      }
    }
    return [];
  };

  return {
    getPreselected,
  };
}
