import { onBeforeMount, onBeforeUnmount, inject } from "vue";
import { useUserStore } from "@/stores/user";

export const useDebugArea = (debugData: any) => {
  const userStore = useUserStore();

  if (!userStore.auth.user || !userStore.isUserHasRole('admin')) return;

  const debug = inject("debug") as (data: any) => void;

  onBeforeMount(() => {
    debug(debugData);
  });

  onBeforeUnmount(() => {
    debug(null);
  });
}