import axios from "axios";
import {IFilterData} from "@/utils/interfaces";

export default function downloadFile(url:string, params: IFilterData = {}) {
  axios({
    url: url,
    params: params,
    method: 'GET',
    responseType: 'blob',
    withCredentials: true
  })
    .then(response => {
      const url = window.URL.createObjectURL(new Blob([response.data]));
      const link = document.createElement('a');
      link.href = url;
      link.setAttribute('download', 'export.xlsx');
      document.body.appendChild(link);
      link.click();
      document.body.removeChild(link);
    }).catch(error => {
      console.error(error);
    });

}
