import {computed, Ref} from "vue";
import {IDashboardCard, IWidgetCoordinate} from "@/pages/dashboard/interfaces";
import {isEmpty} from "lodash";

const getWidgetById = (id: number, allWidgets:Ref<Array<IDashboardCard>>) => {
  if(!isEmpty(allWidgets.value)){
    return allWidgets.value.find((item) => item.id == id);
  } else {
    return;
  }
}

export default function UseComputedDashboardLayout(layout: Ref<Array<IWidgetCoordinate>>, allWidgets:Ref<Array<IDashboardCard>>){
  return computed(() => layout.value.map((item)=>{
    const currentWidget =  getWidgetById(item.i as number, allWidgets);
    item.name = currentWidget?.name ?? '';
    item.background_color = currentWidget?.background_color ?? '';
    item.font_color = currentWidget?.font_color ?? '';
    item.font_size = currentWidget?.font_size;
    return item;
  }));
}
