import { ref, onMounted } from 'vue';
import axios from 'axios';

export function useFetchImage(url: string) {

  const imageUrl = ref<string>('');
  const fetchImage = async () => {
    try {
      const response = await axios.get(url, { responseType: 'blob' });
      imageUrl.value = URL.createObjectURL(response.data);
    } catch (error) {
      console.error('Ошибка при получении изображения:', error);
    }
  };

  fetchImage();

  return {
    imageUrl
  };
}
