import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "blacklist", "status", "chat_name"],
    arrayKeys: [
      "sales_channel[]",
      "responsible_user[]",
      "product_type[]",
      "product_id[]",
      "association_type[]",
      "tag[]",
      "client_id[]",
      "favorite_type[]",
      "coefficient[]",
      'product_status[]',
    ],
    searchKeys:[
      {
        text: "ID",
        value: "id"
      },
      {
        text: t("Name"),
        value: "name"
      },
      {
        text: t("Email"),
        value: "email"
      }
    ],
    hasPeriod: true,
  }).useFilter())
};
