import {IUserShort} from "@/pages/users/interfaces";
import {ITicket} from "@/pages/ts/tickets/interfaces";

interface ICoefficient {
  id: number
  coefficient: number
  color: string
  creator_id: number | null
  created_at: string
  updated_at: string
  deleted_at: string
  creator_user: IUserShort
}

interface ICoefficientTicket {
  id: number
  coefficient: number
  color: string
  ticket_id: number | null
  created_at: string
  updated_at: string
  deleted_at: string
  ticket: ITicket
}

interface ICoefficientClient {
  id: number
  coefficient_id: number
  client_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  coefficient: ICoefficient
}

interface ICoefficientClientProduct {
  id: number
  coefficient_id: number
  product_type: string
  product_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  coefficient: ICoefficient
}

interface ICoefficientUpdateForm {
  coefficient: number;
  color: string;
}

interface ICoefficientShort {
  id: string
  coefficient: number
  color: string
}

export type {
  ICoefficient,
  ICoefficientUpdateForm,
  ICoefficientShort,
  ICoefficientTicket,
  ICoefficientClient,
  ICoefficientClientProduct,
};
