import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "status" ],
    arrayKeys: [
      "responsible_user[]",
      "product_type[]",
      "contact_id[]",
    ],
    searchKeys:[
      {
        text: t('Name'),
        value: 'name'
      },
      {
        text: t('Email'),
        value: 'email'
      },
      {
        text: t('Phone'),
        value: 'phone'
      },
      {
        text: t('Telegram account'),
        value: 'telegram'
      },
      {
        text: 'ID',
        value: 'id'
      },
      {
        text: t('Note'),
        value: 'note'
      },
      {
        text: t('Responsibility area'),
        value: 'responsibility_area'
      },
    ],
    hasPeriod: true,
  }).useFilter());
};
