import {ICriticality, ICriticalityTicket} from "@/pages/criticality/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {ITicket} from "@/pages/ts/tickets/interfaces";

class Criticality implements ICriticality {
  id: number
  name: string
  coefficient: number
  creator_id: number | null
  created_at: string
  updated_at: string
  deleted_at: string
  creator_user: IUserShort

  constructor(attrs: ICriticality) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.coefficient = attrs.coefficient;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.creator_user = attrs.creator_user;
  }
}

class CriticalityTicket implements ICriticalityTicket {
  id: number
  name: string
  coefficient: number
  ticket_id: number
  criticality_id: number
  created_at: string
  updated_at: string
  deleted_at: string
  ticket: ITicket
  criticality: ICriticality

  constructor(attrs: ICriticalityTicket) {
    this.id = attrs.id;
    this.name = attrs.name;
    this.coefficient = attrs.coefficient;
    this.ticket_id = attrs.ticket_id;
    this.criticality_id = attrs.criticality_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.deleted_at = attrs.deleted_at;
    this.ticket = attrs.ticket;
    this.criticality = attrs.criticality;
  }
}

export {Criticality, CriticalityTicket};
