
interface ITicketsStat {
  tickets_new: number
  tickets_processing: number
  tickets_delayed: number
}

interface ITicketsByQueueStat {
  id: number
  visible: boolean
  toggle: boolean
  name: string
  expired: number
  new: number
  processing: number
  delayed: number
  total: number
  items: Array<ITicketsByQueueItemStat>
}

interface ITicketsByQueueItemStat {
  queue_id: number
  queue_name: string
  expired: number
  new: number
  processing: number
  delayed: number
  total: number
}

interface IDashboardCard {
    id?: number,
    name: string,
    source_url: string,
    data_url: string,
    background_color: string,
    font_color: string,
    font_size: number,
    created_at?: string,
    comment?: string,
    creator?: {
        id: number| string,
        name: string,
        full_name: string
    }
}

interface IWidgetCoordinate {
    x: number,
    y: number,
    w: number,
    h: number,
    i?: string|number,
    name?: string,
    background_color?: string,
    font_color?: string,
    font_size?: string|number,
    created_by?: string|number,
    widget_type?: string|number,
    source_url?: string
}

export type {
  ITicketsStat,
  ITicketsByQueueStat,
  ITicketsByQueueItemStat,
  IDashboardCard,
  IWidgetCoordinate
};
