import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();
  const statusesList = [
    { text: t("Status not active"), value: "0" },
    { text: t("Status active"), value: "1" },
  ];

  return {
    ...(new FilterManager({
      stringKeys: [ "status" ],
      searchKeys: [
        {
          text: "ID",
          value: "id"
        },
        {
          text: t("Domain"),
          value: "domain"
        },
      ],
      hasPeriod: true,
    })).useFilter(),
    statusesList: statusesList,
  };
}
