import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [
      'search',
      'type',
    ],
    arrayKeys: [
      'entity_type[]',
    ],
    extraPeriodKeys: [
      {
        name: 'updated_at',
        date_begin_name: 'updated_at_from',
        date_end_name: 'updated_at_to',
      },
    ],
    hasPeriod: true,
  })).useFilter();
}
