import {IUserShort} from "@/pages/users/interfaces";

interface IFavoriteBase {
  id: number
  entity_type: string
  entity_id: number
  type: FavoriteTypeEnum
  user_id: number
  created_at: string
  updated_at: string
  deleted_at: string
}

interface IFavorite extends IFavoriteBase {
  entity: IFavoriteEntity
  user: IUserShort
}

interface IFavoriteForList extends IFavoriteBase {
  entity: IFavoriteEntity
  user: IUserShort
}

interface IFavoriteUpdateForm {
  entity_type: string;
  entity_id: number;
  type: FavoriteTypeEnum;
}

interface IFavoriteEntity {
  favorite_entity_name: string
  favorite_entity_description: string
}

export enum EntityType {
  Ticket = "App\\Models\\TicketSystem\\Ticket",
  Client = "App\\Models\\Client",
  Lead = "App\\Models\\Lead",
}

export enum FavoriteTypeEnum {
  DEFAULT = 1,
  REVIEW = 2,
}

export type {
  IFavorite,
  IFavoriteForList,
  IFavoriteUpdateForm,
  IFavoriteEntity,
};
