import { reactive, ref } from "vue";
import { useRoute, useRouter, RouteRecordName } from "vue-router";

export const HoldingParticipantFilter = () => {
  const route = useRoute();
  const router = useRouter();
  const query = ref(route.query);

  interface IFilter {
    name: string,
    email: string,
  }

  const filter = reactive({
    name: query.value.name  || "",
    email: query.value.email || ""
  } as IFilter);


  const onFilter = () => {
    if (!filter.name && !filter.email) return;
    
    router.push({
      name: route.name as RouteRecordName,
      query: { ...filter },
    });
  };

  const onResetFilter = () => {
    if (!filter.name && !filter.email) return;

    filter.name = "";
    filter.email = "";
    router.push({
      name: route.name as RouteRecordName,
    });
  }

  return {
    filter,
    onFilter,
    onResetFilter
  };
}
