import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "status" ],
    arrayKeys: [
      "sales_channel[]",
      "responsible_user[]",
      "product_type[]",
      "client[]",
      "association_type[]",
      "tag[]",
      "lead_id[]",
      "favorite_type[]",
    ],
    searchKeys: [
      {
        text: "ID",
        value: "id"
      },
      {
        text: t("Name"),
        value: "name"
      },
      {
        text: t("Email"),
        value: "email"
      },
    ],
    predefined: {
      filter_field: "name",
    },
    hasPeriod: true,
  })).useFilter();
}
