import {IUserShort} from "@/pages/users/interfaces";

interface IProductStatus {
    id: number;
    name: string;
    short_name: string;
    color: string;
    department_id: number;
    status: boolean;
    created_by: string;
    created_at: string;
    department: {
        id:string,
        name: string
    };
    creator: {
        id: string,
        name: string,
        full_name: string
    }
}

interface IFormData {
    id?: string,
    name: string,
    short_name: string,
    department_id: string,
    status: string,
    color: string
}
interface IChangeStatusFormData {
    product_assignment_id: number|null,
    product_type?: string,
    product_id?: number
}
interface IProductAutomationAssignment {
    id: number
    product_assignment_id: number
    product_type: string
    product_id: number
    created_at: string
    updated_at: string
    deleted_at: string
    product_assignment: IProductAssignmentRelate
}
interface IProductAssignmentRelate {
    id: number
    name: string
    color: string
    creator_id: number | null
    created_at: string
    updated_at: string
    deleted_at: string
    creator_user: IUserShort
}

export type {
  IProductStatus, IFormData, IProductAutomationAssignment,IChangeStatusFormData
};
