import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    searchKeys: [
      {
        text: t("Name3"),
        value: "name"
      },
      {
        text: t("Email"),
        value: "email"
      },
    ],
    stringKeys: [
      "mode",
    ],
    arrayKeys: [
      "responsible_user[]",
      "product_type[]",
    ],
    hasPeriod: true,
    predefined: {
      mode: "converted",
    },
  })).useFilter();
}
