import CustomerSupportActivity from "./CustomerSupportActivity.vue";
import { IReportLogEntity } from "@/stores/reports/interfaces";
import { RouteLocationNamedRaw } from "vue-router";

export const generateLink = (entity: IReportLogEntity): RouteLocationNamedRaw => {
  const link = {} as RouteLocationNamedRaw;

  switch (entity.parent_type) {
    case "App\\Models\\ServiceProvider":
      link.name = "service-providers.profile";
      link.params = {
        spId: entity.parent_id,
      };
      break;
    case "App\\Models\\Client":
      link.name = "clients.profile";
      link.params = {
        clientId: entity.parent_id,
      };
      break;
    case "App\\Models\\Lead":
      link.name = "leads.profile";
      link.params = {
        leadId: entity.parent_id,
      };
      break;
    case "App\\Models\\Trader":
      link.name = "traders.profile";
      link.params = {
        traderId: entity.parent_id,
      };
      break;
    case "App\\Models\\ContactPerson":
      link.name = "contact.person.list";
      link.query = {
        filter_field: "id",
        filter_value: entity.parent_id,
      };
      break;
  }

  return link;
};

export default CustomerSupportActivity;
