import { FilterManager } from "@/mixins/Filter";
import dayjs from "dayjs";

export default () => {
  const CURRENT_YEAR = dayjs().year()
  const CURRENT_MONTH = dayjs().month() + 1
  const CURRENT_QUARTER = dayjs().quarter()

  return (new FilterManager({
    stringKeys: [ "period", "year", "month", "quarter" ],
    arrayKeys: [
      "department[]",
    ],
    predefined: {
      "period": 'monthly',
      "year": CURRENT_YEAR,
      "month": CURRENT_MONTH,
      "quarter": CURRENT_QUARTER,
    },
  })).useFilter();
}
