import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    searchKeys: [
      {
        text: t("Name3"),
        value: "name",
      },
      {
        text: t("Email"),
        value: "email",
      },
    ],
    arrayKeys: [ "responsible_user[]", "holding[]" ],
    hasPeriod: true,
    extraPeriodKeys: [
      {
        name: "filterDateEnter",
        date_begin_name: "date_enter_begin",
        date_end_name: "date_enter_end",
      },
      {
        name: "filterDateExit",
        date_begin_name: "date_exit_begin",
        date_end_name: "date_exit_end",
      },
    ],
  })).useFilter();
}
