import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    arrayKeys: [
      "responsible_user[]",
      "sales_channel[]",
    ],
    searchKeys: [
      {
        text: t("Name3"),
        value: "name",
      },
      {
        text: t("Email"),
        value: "email",
      },
    ],
    hasPeriod: true,
  })).useFilter();
};
