import { ref } from "vue";
import { FilterManager } from "@/mixins/Filter";
import { useRoute } from "vue-router";
import { useReportStore } from "@/stores/reports/reports";
import { getPeriodStr } from "@/utils/helper";

export default () => {
  const route = useRoute();
  const query = ref(route.query);
  const reportStore = useReportStore();

  return {
    ...(new FilterManager({
      arrayKeys: [
        "merchants[]",
        "fiats[]",
        "responsible_user[]",
        "service_providers[]",
        "types[]",
      ],
      predefined: {
        date_begin: getPeriodStr("day").split(" - ")[0],
      },
      hasSingleDate: true,

      extraPeriodKeys: [
        {
          name: "creation_prod",
          date_begin_name: "date_created_begin",
          date_end_name: "date_created_end",
        },
      ]
    })).useFilter(),
    typesList: reportStore.typesList,
    statusesList: reportStore.statusesList,
  };
};
