import {useI18n} from "vue-i18n";

export const useUtils = () => {
  const {t} = useI18n();

  function getParticipantOptions(withPayport = false, withWithout = false) {
    const options = [
      {
        text: t('Merchant'),
        value: 'merchant',
      },
      {
        text: t('Trader'),
        value: 'trader',
      },
      {
        text: t('Service provider'),
        value: 'service-provider',
      },
    ]

    if (withPayport) {
      options.push({
        text: 'Payport',
        value: 'payport',
      })
    }

    if (withWithout) {
      options.push({
        text: t('ts.tickets.Without compensation'),
        value: 'without',
      })
    }

    return options
  }

  function getCommentOutput(comment: string): string {
    if (!comment) {
      return ''
    }

    const substr = comment.slice(0, 15).trim();

    return substr.length === comment.length ? substr : substr.concat('...');
  }

  return {
    getParticipantOptions,
    getCommentOutput,
  }
}