import { ref } from "vue";
import { FilterManager } from "@/mixins/Filter";
import { useRoute } from "vue-router";
import { useReportStore } from "@/stores/reports/reports";
import { getPeriodStr } from "@/utils/helper";

export default () => {
  const route = useRoute();
  const query = ref(route.query);
  const reportStore = useReportStore();

  return {
    ...(new FilterManager({
      arrayKeys: [
        "service_providers[]",
        "traders[]",
        "merchants[]",
        "types[]",
        "fiats[]",
      ],
      stringKeys: [
        "count_by",
        "ranges"
      ],
      predefined: {
        date_begin: getPeriodStr("week").split(" - ")[0] + ' 00:00',
        date_end: getPeriodStr("week").split(" - ")[1]+ ' 23:59',
        "types[]": [ "0" ],
        "count_by": "cancelled"
      },
      hasPeriod: true,
    })).useFilter(),
    typesList: reportStore.typesList,
  };
}
