import { ref } from "vue";
import { useRoute } from "vue-router";
import { FilterManager } from "@/mixins/Filter";
import { useReportStore } from "@/stores/reports/reports";
import { getPeriodStr } from "@/utils/helper";

export default () => {
  const route = useRoute();
  const query = ref(route.query);
  const reportStore = useReportStore();

  return {
    ...(new FilterManager({
      arrayKeys: [
        "service_providers[]",
        "traders[]",
        "merchants[]",
        "fiats[]",
        "types[]",
        "payment_systems[]",
      ],
      stringKeys: [
        "fiat_amount_from",
        "fiat_amount_to",
        "active_ads"
      ],
      hasPeriod: true,
      hasDateTimePeriod: true,

    })).useFilter(),
    typesList: reportStore.typesList,
  };
};
