import { ref } from "vue";
import { FilterManager } from "@/mixins/Filter";
import { useRoute } from "vue-router";
import { useReportStore } from "@/stores/reports/reports";
import { getPeriodStr } from "@/utils/helper";

export default () => {
  const route = useRoute();
  const query = ref(route.query);
  const reportStore = useReportStore();

  return {
    ...(new FilterManager({
      arrayKeys: [
        "service_providers[]",
        "traders[]",
        "types[]",
        "merchants[]",
        "fiats[]",
        "payment_systems[]",
      ],
        hasPeriod: true,
        hasDateTimePeriod: true,
    })).useFilter(),
    typesList: reportStore.typesList,
  };
}
