import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();
  const statusesList = [
    { text: t("Status not active"), value: "0" },
    { text: t("Status active"), value: "1" },
  ];

  return {
    ...(new FilterManager({
      stringKeys: [ "status", "environment_type", "chat_name" ],
      arrayKeys: [
        "responsible_user[]",
      ],
      searchKeys: [
        {
          text: 'ID',
          value: 'sp.id'
        },
        {
          text: t('Name'),
          value: 'sp.name'
        },
      ],
      hasPeriod: true,
    })).useFilter(),
    statusesList: statusesList,
  };
}
