import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";
import { useRoute} from 'vue-router'

export default () => {
  const { t } = useI18n();
  const route = useRoute()

  return (new FilterManager({
    stringKeys: [ "status", "show_balances" ],
    arrayKeys: [ "local_service_provider_ids[]" ],
    searchKeys: [
      {
        text: 'ID',
        value: 'id'
      },
      {
        text: t('Name'),
        value: 'name'
      },
      {
        text: t('Email'),
        value: 'email'
      },
    ],
    predefined: {
      "show_balances": 1,
      "local_service_provider_ids[]": [route.params.spId],
      filter_field: "name",
    },
    hasPeriod: true,
  })).useFilter();
}
