import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "status", "environment_type" ],
    arrayKeys: [
      "service_provider_ids[]", "roles[]"
    ],
    searchKeys: [
      {
        text: t('Trader admin name'),
        value: 'name'
      },
      {
        text: 'ID',
        value: 'id'
      },
      {
        text: 'Payport ID',
        value: 'id_payport'
      },
      {
        text: t('Trader admin email'),
        value: 'email'
      }
    ],
    hasPeriod: true,
  })).useFilter();
}
