import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "status", "environment_type", "chat_name" ],
    arrayKeys: [
      "service_provider_ids[]",
      "responsible_user[]",
    ],
    searchKeys: [
      {
        text: t('Trader name'),
        value: 'name'
      },
      {
        text: 'ID',
        value: 'id'
      },
      {
        text: t('Trader email'),
        value: 'email'
      }
    ],
    hasPeriod: true,
  })).useFilter();
}
