import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [
      'number',
      'text',
    ],
    arrayKeys: [
      'status[]',
      'queue[]',
    ],
    extraPeriodKeys: [
      {
        name: 'created_at',
        date_begin_name: 'created_at_from',
        date_end_name: 'created_at_to',
      },
      {
        name: 'closed_at',
        date_begin_name: 'closed_at_from',
        date_end_name: 'closed_at_to',
      },
    ],
    hasPeriod: true,
    everySearchReload: true,
  })).useFilter();
}
