import { ref } from "vue";
import { FilterManager } from "@/mixins/Filter";
import { useRoute } from "vue-router";
import { getPeriodStr } from "@/utils/helper";

export default () => {
  const route = useRoute();
  const query = ref(route.query);

  return (new FilterManager({
    stringKeys: [ "type" ],
    arrayKeys: [ "merchants[]" ],
    predefined: {
      date_begin: getPeriodStr("week").split(" - ")[0],
      date_end: getPeriodStr("week").split(" - ")[1],
    },
    hasPeriod: true,
    customInitFilterDate: () => {
      if (query.value.date_begin != undefined && query.value.date_end != undefined) {
        if (query.value.date_begin && query.value.date_end) {
          return query.value.date_begin + " - " + query.value.date_end;
        } else {
          return "";
        }
      }

      return getPeriodStr("week");
    },
  })).useFilter();
}

