import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [ "state_type" ],
    searchKeys: [
      {
        text: t('Ticket name'),
        value: 'name'
      },
      {
        text: t('Ticket id'),
        value: 'ticket_id'
      },
      {
        text: t('Ticket number'),
        value: 'otrs_ticket_number'
      }
    ],
    predefined: {
      filter_field: "otrs_ticket_number",
    },
    hasPeriod: true,
  })).useFilter();
}

