import {TicketSource} from "@/pages/ts/tickets/interfaces";

interface IClientsApi {
  id: number
  source: TicketSource
  name: string
  login: string
  password: string
  status: number
  external_source: string
  customer_types: Array<string>
  created_at: string
  updated_at: string
  status_name: string
}

interface IClientsApiUpdateForm {
  source: TicketSource
  name: string
  login: string
  password: string
  status: string | number
  external_source: string
  customer_types: Array<string>
}

interface IClientsApiShort {
  id: string
  name: string
  login: string
}

export enum IClientsApiStatus {
  Inactive = 0,
  Active = 1,
}

export type {
  IClientsApi,
  IClientsApiUpdateForm,
  IClientsApiShort,
};
