
interface IDynamicFieldBase {
  id: number
  name: string
  slug: string
  type: string
  type_name: string
  default_value: string
  link: string
  status: number
  created_at: string
  updated_at: string
}

interface IDynamicFieldForList extends IDynamicFieldBase {
  status_name: string
}

interface IDynamicField extends IDynamicFieldBase {
  status_name: string
}

interface IDynamicFieldUpdateForm {
  name: string;
  slug: string;
  type: string;
  default_value?: string;
  link?: string;
  status: string | number;
}

interface IDynamicFieldShort {
  id: string
  name: string
}

enum IDynamicFieldStatus {
  Inactive = 0,
  Active = 1,
}

enum IDynamicFieldType {
  Text = 1,
}

export type {
  IDynamicFieldForList,
  IDynamicField,
  IDynamicFieldUpdateForm,
  IDynamicFieldShort,
};

export {
  IDynamicFieldStatus,
  IDynamicFieldType,
};
