
interface IEscalationBase {
    id: number
    sla_id: number
    value: string
    value_type: EscalationValueType
    notify_owner: boolean
    notify_executor: boolean
    notify_users: Array<number | string>
    notify_departments: Array<number | string>
    created_at: string
    updated_at: string
}

interface IEscalationForList extends IEscalationBase {

}

interface IEscalation extends IEscalationBase {

}

interface IEscalationUpdateForm {
    sla_id: number;
    value: string;
    value_type: EscalationValueType;
    notify_owner: boolean;
    notify_executor: boolean;
    notify_users: Array<number | string>;
    notify_departments: Array<number | string>;
}

enum EscalationValueType {
    PERCENT = 1,
    MINUTES = 2,
}

enum ValueRange {
    MIN = 1,
    MAX = 99,
}

export type {
    IEscalationForList,
    IEscalation,
    IEscalationUpdateForm,
};

export {
    ValueRange,
    EscalationValueType,
}
