import {ISelect} from "@/utils/interfaces";
import {TreeSelectChooseType} from "@/base-components/TreeSelect/utils";

interface ISaveFilterSettingPayload {
  id: number | null,
  name: string,
  role: number
  source: number[] | string [] | null,
  priority: number[] | string [] | null,
  executor: number[] | string [] | null,
  creator: number[] | string [] | null,
  type_id: number | null,
  status: number[] | string [] | null,
  topic: number[] | string[] | null,
  queue: number[] | string[] | null,
  created: string | null,
  updated: string | null,
  closed: string | null,
  executed: string | null,
}

interface ISettingData {
  id: number
  name: string
  role_id: number
  settings: ISetting
  created_at: string
  updated_at: string
  user_created_by: {
    full_name: string
  },
  user_updated_by: {
    full_name: string
  }
}

interface ISetting {
  closed: string | null
  created: string | null
  updated: string | null
  executed: string | null
  creator: number[]
  executor: number[]
  priority: number[]
  source: number[]
  status: number[]
  topic: number[]
  queue: number[]
  type_id: number | null
}

interface IFormData {
  name: string,
  id?: number,
  role?: ISelect | null,
  executors: ISelect[] | null,
  authors: ISelect[] | null,
  typeId: ISelect | null,
  statuses: ISelect[] | null,
  priorities: ISelect[] | null,
  queues: TreeSelectChooseType | null,
  topics: ISelect[] | null,
  sources: ISelect[] | null,
  created: string,
  updated: string,
  closed: string,
  executed: string,
}

export type {
  ISettingData,
  IFormData,
  ISaveFilterSettingPayload,
}