import {IFormData, ISaveFilterSettingPayload} from "@/pages/ts/filters/interfaces";
import {getCheckedValue, TreeSelectChooseType} from "@/base-components/TreeSelect/utils";

export const toPayload = (data: IFormData): ISaveFilterSettingPayload => {
  return {
    id: data.id ?? null,
    name: data.name,
    role: data.role?.value as number,
    type_id: getType(data.typeId?.value),
    source: data.sources?.map(source => source.value) as number[],
    priority: data.priorities?.map(source => source.value) as number[],
    executor: data.executors?.map(source => source.value) as number[],
    creator: data.authors?.map(source => source.value) as number[],
    status: data.statuses?.map(source => source.value) as number[],
    topic: data.topics?.map(topic => topic.value) as number[],
    queue: getCheckedValue(data.queues as TreeSelectChooseType).map(Number),
    created: data.created ?? null,
    updated: data.updated ?? null,
    closed: data.closed ?? null,
    executed: data.executed ?? null,
  }
}

function getType(type: number | string | undefined): number | null {
  if (!type) {
    return null
  }

  return type as number
}