import {IUserShort} from "@/pages/users/interfaces";
import {IMailAccount, IMailAccountType} from "@/pages/ts/mail_accounts/interfaces";
import {IQueueShort} from "@/pages/ts/queues/interfaces";
import {ITopicShort} from "@/pages/ts/topics/interfaces";

class MailAccount implements IMailAccount {
  id: number
  type: IMailAccountType
  name: string | null
  login: string
  password: string
  host: string
  port: number
  folder: string
  use_ssl: boolean
  queue_topic_id: number
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
  status_name: string
  queue: IQueueShort | null
  topic: ITopicShort | null

  constructor(attrs: IMailAccount) {
    this.id = attrs.id;
    this.type = attrs.type;
    this.name = attrs.name;
    this.login = attrs.login;
    this.password = attrs.password;
    this.host = attrs.host;
    this.port = attrs.port;
    this.folder = attrs.folder;
    this.use_ssl = attrs.use_ssl;
    this.queue_topic_id = attrs.queue_topic_id;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.status_name = attrs.status_name;
    this.queue = attrs.queue;
    this.topic = attrs.topic;
  }
}

export {MailAccount};
