import {IUserShort} from "@/pages/users/interfaces";

interface IPriorityBase {
  id: number
  name: string
  slug: string
  order: number
  color: string
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
}

interface IPriorityForList extends IPriorityBase {
    status_name: string
}

interface IPriority extends IPriorityBase {
    status_name: string
}

interface IPriorityUpdateForm {
  name: string;
  slug: string;
  order: number;
  color: string;
  status: string | number;
}

interface IPriorityShort {
  id: string
  name: string
}

enum IPriorityStatus {
  Inactive = 0,
  Active = 1,
}

export type {
  IPriorityForList,
  IPriority,
  IPriorityUpdateForm,
  IPriorityShort,
};

export {
  IPriorityStatus,
};
