
interface IQueueRolePermissionBase {
    id: number
    queue_id: number
    role_id: number
    permission: number
    permission_array: Array<{type: number, value: number}>
    created_at: string
    updated_at: string
}

interface IQueueRolePermission extends IQueueRolePermissionBase {
}

interface IQueueRolePermissionType {
    id: number
    value: number
    name: string
    description: string
    check_all: boolean
}

interface IQueueRolePermissionUpdateForm {
    role_id: number
    permissions: Array<Array<number>>
}

enum QueueRolePermissionTypeEnum {
    TICKET_READ_ONLY = 1 << 0,
    TICKET_UPDATE = 1 << 1,
    TICKET_CREATE = 1 << 2,
    TICKET_COMMENT = 1 << 3,
    TICKET_PRIORITY = 1 << 4,
}

export type {
    IQueueRolePermission,
    IQueueRolePermissionUpdateForm,
    IQueueRolePermissionType,
};

export {
    QueueRolePermissionTypeEnum,
};
