import {IQueue} from "@/pages/ts/queues/interfaces";
import {ITopic} from "@/pages/ts/topics/interfaces";
import {IPriority} from "@/pages/ts/priorities/interfaces";

interface IQueueTopicBase {
    id: number
    queue_id: number
    topic_id: number
    priority_id: number
    created_at: string
    updated_at: string
    has_tickets: boolean
}

interface IQueueTopicForList extends IQueueTopicBase {
    queue: IQueue
    topic: ITopic
    priority: IPriority
}

interface IQueueTopic extends IQueueTopicBase {
    queue: IQueue | undefined
    topic: ITopic | undefined
    priority: IPriority | undefined
}

interface IQueueTopicUpdateForm {
    id: number;
}

export type {
    IQueueTopic,
    IQueueTopicForList,
    IQueueTopicUpdateForm,
};
