import {IQueue} from "@/pages/ts/queues/interfaces";
import {IQueueTopic} from "@/pages/ts/queue_topics/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {IDepartment} from "@/stores/department/interfaces";

class Queue implements IQueue {
  id: number
  parent_id: number | null
  name: string
  slug: string
  status: number
  creator_id: number | null
  owner_id: number | null
  close_tickets_after: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
  owner_user: IUserShort
  status_name: string
  parent_queue: IQueue
  executor_user_ids: Array<string> | []
  executor_users: Array<IUserShort> | []
  executor_department_ids: Array<string> | []
  executor_departments: Array<IDepartment> | []
  executor_users_all: Array<IUserShort> | []
  move_queue_ids: Array<string> | []
  move_queues: Array<IQueue> | []
  name_with_parents: string
  queue_topics: Array<IQueueTopic> | []
  has_tickets: boolean

  constructor(attrs: IQueue) {
    this.id = attrs.id;
    this.parent_id = attrs.parent_id;
    this.name = attrs.name;
    this.slug = attrs.slug;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.owner_id = attrs.owner_id;
    this.close_tickets_after = attrs.close_tickets_after;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.owner_user = attrs.owner_user;
    this.status_name = attrs.status_name;
    this.parent_queue = attrs.parent_queue;
    this.executor_user_ids = attrs.executor_user_ids;
    this.executor_users = attrs.executor_users;
    this.executor_department_ids = attrs.executor_department_ids;
    this.executor_departments = attrs.executor_departments;
    this.executor_users_all = attrs.executor_users_all;
    this.move_queue_ids = attrs.move_queue_ids;
    this.move_queues = attrs.move_queues;
    this.name_with_parents = attrs.name_with_parents;
    this.queue_topics = attrs.queue_topics;
    this.has_tickets = attrs.has_tickets;
  }
}

export {Queue};
