
interface ISettingBase {
  id: number
  name: string
  value: string
  status: number
  created_at: string
  updated_at: string
}

interface ISettingForList extends ISettingBase {
  status_name: string
}

interface ISetting extends ISettingBase {
  status_name: string
}

interface ISettingUpdateForm {
  name: string;
  value: string;
  status: string | number;
}

interface ISettingShort {
  id: string
  name: string
}

export enum ISettingStatus {
  Inactive = 0,
  Active = 1,
}

export enum TabItem {
  Main = 1,
  MailIncome = 2,
  MailOutcome = 3,
  ClientsApi = 4,
}

export enum ISettingEnum {
  PARSE_INBOX_INTERVAL = 'parse_inbox_interval',
}

export type {
  ISettingForList,
  ISetting,
  ISettingUpdateForm,
  ISettingShort,
};
