import {ISla} from "@/pages/ts/sla/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {IEscalation} from "@/pages/ts/escalation/interfaces";

class Sla implements ISla {
    id: number
    name: string
    description: string | null
    duration: number | null
    status: number
    creator_id: number | null
    created_at: string
    updated_at: string
    creator_user: IUserShort
    status_name: string
    escalations: Array<IEscalation> | []

    constructor(attrs: ISla) {
        this.id = attrs.id;
        this.name = attrs.name;
        this.description = attrs.description;
        this.duration = attrs.duration;
        this.status = attrs.status;
        this.creator_id = attrs.creator_id;
        this.created_at = attrs.created_at;
        this.updated_at = attrs.updated_at;
        this.creator_user = attrs.creator_user;
        this.status_name = attrs.status_name;
        this.escalations = attrs.escalations;
    }
}

export {Sla};
