import {IUserShort} from "@/pages/users/interfaces";
import {IEscalation} from "@/pages/ts/escalation/interfaces";

interface ISlaBase {
    id: number
    name: string
    description: string | null
    duration: number | null
    status: number
    creator_id: number | null
    created_at: string
    updated_at: string
    creator_user: IUserShort
}

interface ISlaForList extends ISlaBase {
    status_name: string
    escalations: Array<IEscalation>
}

interface ISla extends ISlaBase {
    status_name: string
    escalations: Array<IEscalation>
}

interface ISlaUpdateForm {
    name: string;
    description: string;
    duration: string | number;
    status: string | number;
    escalations?: Array<IEscalation> | [];
    delete_escalation_ids?: Array<number> | [];
}

interface ISlaShort {
    id: string
    name: string
}

enum ISlaStatus {
    Inactive = 0,
    Active = 1,
}

export type {
    ISlaForList,
    ISla,
    ISlaUpdateForm,
    ISlaShort,
};

export {
    ISlaStatus,
};
