import {ITicketComment, ITicketCommentParent} from "@/pages/ts/ticket_comments/interfaces";
import {ITicket} from "@/pages/ts/tickets/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {IFile} from "@/stores/file/interfaces";
import {IMailAccount} from "@/pages/ts/mail_accounts/interfaces";

class TicketComment implements ITicketComment {
  id: number
  ticket_id: number
  text: string | null
  status: number
  creator_id: number
  created_at: string
  updated_at: string
  creator_user: IUserShort
  creator_formed: string
  ticket: ITicket
  files: Array<IFile> | null
  mail_account_id: number | null
  mail_account: IMailAccount | null
  recipient_email: string | null
  bind_with_crm_comment: boolean
  parent: ITicketCommentParent | null
  children: ITicketComment[]
  quote: string | null

  constructor(attrs: ITicketComment) {
    this.id = attrs.id;
    this.ticket_id = attrs.ticket_id;
    this.text = attrs.text;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.creator_user = attrs.creator_user;
    this.creator_formed = attrs.creator_formed;
    this.ticket = attrs.ticket;
    this.files = attrs.files;
    this.mail_account_id = attrs.mail_account_id;
    this.mail_account = attrs.mail_account;
    this.recipient_email = attrs.recipient_email;
    this.bind_with_crm_comment = attrs.bind_with_crm_comment;
    this.parent = attrs.parent;
    this.children = attrs.children;
    this.quote = attrs.quote;
  }
}

export const NUMBER_COMMENTS_TO_SHOW = 5;

export {TicketComment};
