import {ITicketTemplate} from "@/pages/ts/ticket_templates/interfaces";
import {IUserShort} from "@/pages/users/interfaces";
import {IQueueTopic} from "@/pages/ts/queue_topics/interfaces";
import {IMailAccountShort} from "@/pages/ts/mail_accounts/interfaces";

class TicketTemplate implements ITicketTemplate {
  id: number
  type: string
  name: string
  text: string
  status: number
  creator_id: number
  created_at: string
  updated_at: string
  status_name: string
  creator_user: IUserShort
  queue_topic: IQueueTopic | null
  income_mail_account: IMailAccountShort | null
  outcome_mail_account: IMailAccountShort | null

  constructor(attrs: ITicketTemplate) {
    this.id = attrs.id;
    this.type = attrs.type;
    this.name = attrs.name;
    this.text = attrs.text;
    this.status = attrs.status;
    this.creator_id = attrs.creator_id;
    this.created_at = attrs.created_at;
    this.updated_at = attrs.updated_at;
    this.status_name = attrs.status_name;
    this.creator_user = attrs.creator_user;
    this.queue_topic = attrs.queue_topic;
    this.income_mail_account = attrs.income_mail_account;
    this.outcome_mail_account = attrs.outcome_mail_account;
  }
}

export {TicketTemplate};
