import { FilterManager } from "@/mixins/Filter";
import { useI18n } from "vue-i18n";

export default () => {
  const { t } = useI18n();

  return (new FilterManager({
    stringKeys: [
      'name',
      'status',
    ],
    arrayKeys: [
      'type[]',
    ],
    extraPeriodKeys: [
      {
        name: 'created_at',
        date_begin_name: 'created_at_from',
        date_end_name: 'created_at_to',
      },
      {
        name: 'updated_at',
        date_begin_name: 'updated_at_from',
        date_end_name: 'updated_at_to',
      },
    ],
    hasPeriod: true,
  })).useFilter();
}
