import {IUserShort} from "@/pages/users/interfaces";

interface ITicketTypeBase {
    id: number
    name: string
    status: number
    slug: string
    creator_id: number | null
    created_at: string
    updated_at: string
    creator_user: IUserShort
}

interface ITicketTypeForList extends ITicketTypeBase {
    status_name: string
}

interface ITicketType extends ITicketTypeBase {
    status_name: string
}

interface ITicketTypeUpdateForm {
    name: string;
    slug: string;
    status: string | number;
}

interface ITicketTypeShort {
    id: string
    name: string
}

enum ITicketTypeStatus {
    Inactive = 0,
    Active = 1,
}

export type {
    ITicketTypeForList,
    ITicketType,
    ITicketTypeUpdateForm,
    ITicketTypeShort,
};

export {
    ITicketTypeStatus,
};
