import {FilterManager} from "@/mixins/Filter";

export default () => {
  return (new FilterManager({
    stringKeys: [
      'id',
      'type_id',
      'customer_type',
      'text',
      'sla_expired',
      'me_as_watcher',
      'is_private',
      'visible_to_client',
    ],
    arrayKeys: [
      'executor[]',
      'source[]',
      'status[]',
      'creator[]',
      'customer[]',
      'priority[]',
      'queue[]',
      'topic[]',
      'tag[]',
      'owner[]',
      'favorite_type[]',
      'interaction_type[]',
      'criticality[]',
    ],
    extraPeriodKeys: [
      {
        name: 'created_at',
        date_begin_name: 'created_at_from',
        date_end_name: 'created_at_to',
      },
      {
        name: 'updated_at',
        date_begin_name: 'updated_at_from',
        date_end_name: 'updated_at_to',
      },
      {
        name: 'closed_at',
        date_begin_name: 'closed_at_from',
        date_end_name: 'closed_at_to',
      },
      {
        name: 'date_execution',
        date_begin_name: 'date_execution_from',
        date_end_name: 'date_execution_to',
      },
      {
        name: 'date_eta',
        date_begin_name: 'date_eta_from',
        date_end_name: 'date_eta_to',
      },
    ],
    hasPeriod: true,
  })).useFilter();
}
