import {IRole, IUser} from "@/pages/users/interfaces";
import {IQueue} from "@/pages/ts/queues/interfaces";
import {ISelect} from "@/utils/interfaces";
import {TreeNode} from "primevue/tree";
import {IQueueTopic} from "@/pages/ts/queue_topics/interfaces";

export interface ITicketAutofillByProductStatus {
  id: number
  createdAt: string
  updatedAt: string
  creator: IUser
  updater: IUser
  queue_id: number
  queue: IQueue
  queueTopic: IQueueTopic
  name: string
  description: string
  product_statuses_id: number
  product_status: {
      id: number
      name: string
      color: string,
      department?: {
          id: number,
          name: string,
          users?: {
              id: number,
              full_name: string,
              pivot: {
                  is_manager_of_department: boolean
              }
          }
      }
  }
}

export interface ITicketAutofillRequest {
  queue_id: number
  queue_topic_id: number
  name: string
  description: string
  product_statuses_id: number
}

export interface ITicketAutofillUpdateForm {
  name: string
  queue: TreeNode | null
  queueTopic: ISelect | null
  description: string
  product_statuses_id: number
}


