import {IRole, IUser} from "@/pages/users/interfaces";
import {IQueue} from "@/pages/ts/queues/interfaces";
import {ISelect} from "@/utils/interfaces";
import {TreeNode} from "primevue/tree";
import {IQueueTopic} from "@/pages/ts/queue_topics/interfaces";
import {InteractionType} from "@/pages/ts/tickets/interfaces";

export interface ITicketAutofill {
  id: number
  createdAt: string
  updatedAt: string
  creator: IUser
  updater: IUser
  queue_id: number
  queue: IQueue
  queueTopic: IQueueTopic
  role: IRole
  name: string
  interaction_type: InteractionType | null
  subtickets_amount: number
  subticket_data: ISubticketDataForm
  subticket_data_tooltip_text: string
}

export interface ITicketAutofillRequest {
  role_id: number
  queue_id: number
  queue_topic_id: number
  name: string
  interaction_type: number | null
  subtickets_amount: number
  subticket_data: ISubticketDataForm
}

export interface ITicketAutofillUpdateForm {
  name: string
  interaction_type: string
  role: ISelect | null
  queue: TreeNode | null
  queueTopic: ISelect | null
  subtickets_amount: string
  subticket_data: ISubticketDataForm
}

export interface ISubticketDataForm {
  is_inherit_text: boolean
  text: string
  status: string | number
  queue_id: string | number
  queue_topic_id: string | number
  is_inherit_executor: boolean
  executor_id: string | number
  is_inherit_watchers: boolean
  watchers: Array<string | number>
  days_to_execution_date: Array<string | number>
}