import {IUserShort} from "@/pages/users/interfaces";
import {ISla} from "@/pages/ts/sla/interfaces";

interface ITopicBase {
  id: number
  name: string
  slug: string
  sla_id: number
  status: number
  creator_id: number | null
  created_at: string
  updated_at: string
  creator_user: IUserShort
}

interface ITopicForList extends ITopicBase {
  status_name: string
  sla?: ISla
}

interface ITopic extends ITopicBase {
  status_name: string
  sla?: ISla
}

interface ITopicUpdateForm {
  name: string;
  slug: string;
  sla_id: string | number;
  status: string | number;
}

interface ITopicShort {
  id: string
  name: string
}

export enum ITopicStatus {
  Inactive = 0,
  Active = 1,
}

export type {
  ITopicForList,
  ITopic,
  ITopicUpdateForm,
  ITopicShort,
};
