import { IClientShort } from "@/pages/clients/interfaces";
import { ILeadShort } from "@/pages/leads/interfaces";
import * as lucideIcons from "lucide-vue-next";

interface IBaseAssociationType {
  name: string,
}

interface IAssociationType extends IBaseAssociationType {
  id: number,
  icon: keyof typeof lucideIcons,
  hidden_name: string,
}

interface IBaseAggregatorParticipant {
  name: string,
  link: string,
}

interface IAggregatorParticipant extends IBaseAggregatorParticipant {
  id: number,
}

interface IAggregatorParticipantCreate extends IBaseAggregatorParticipant {
  aggregatorable_type: string,
  aggregatorable_id: string | number,
}

interface IAggregatorParticipantFilter {
  aggregatorable_type: string,
  aggregatorable_id: string | number,
}

interface IHoldingable {
  holdingable_type: string,
  holdingable_id: number | string,
  date_begin: string,
  date_end: string | null,
}

interface IBaseHolding extends IHoldingable {
  owner_type: string,
  owner_id: number | string
}

interface IHoldingParticipantFilter {
  owner_type: string,
  owner_id: number | string,
}

interface IHoldingEditForm {
  date_begin: string,
  date_end: string,
}

interface IHoldingParticipant extends IBaseHolding {
  id: number,
  holdingable: IClientShort | ILeadShort 
}

interface IHolding extends IBaseHolding {
  id: number,
  owner_type: string,
  owner_id: number,
  owner: IClientShort | ILeadShort,
}

export type {
  IBaseAssociationType,
  IAssociationType,
  IBaseAggregatorParticipant,
  IAggregatorParticipant,
  IAggregatorParticipantCreate,
  IAggregatorParticipantFilter,
  IBaseHolding,
  IHoldingParticipantFilter,
  IHoldingEditForm,
  IHoldingParticipant,
  IHolding,
};
