import {IReminder} from "@/stores/reminder/interfaces";

interface ICalendarEventParamsDate {
  date_begin?: string,
  date_end?: string,
  param_name?: string,
  param_value?: string,
  show_all?: number,
  by_departments?: number,
  by_all_statuses?: number,
  by_entities?: Array<number>,
}

interface ICalendarEvent {
  readonly id: string | number,
  type: CalendarEventType | EducationCalendarEventType,
  title: string,
  title_with_details: string,
  datetime: string,
  datetime_end: string,
  hint: string,
  hint_with_details: string,
  url: string,
  color: string,
  status: string | number,
  status_color: string,
  interaction_type: string | number,
  queue_id: string | number,
  department_ids: Array<number>,
  user_ids: Array<number>,
  ticket_theme: string,
  reminders: Array<IReminder>,
}

interface ICalendarEventData {
  events: Array<ICalendarEvent>,
}

export enum CalendarEventType {
  NOTE = 1,
  TICKET = 2,
}

export enum EducationCalendarEventType {
  COURSE = 3,
  TEST = 4,
}

export enum EducationCoursePassStatus {
  NOT_PASSED = 0,
  PASSED = 1,
}

export enum EducationTestPassStatus {
  EMPTY = 0,
  IN_PROGRESS = 1,
  NOT_PASSED_BY_TIMEOUT = 2,
  NOT_PASSED = 3,
  PASSED = 4,
  AWAITING_VERIFICATION = 5,
}

export type {
  ICalendarEventParamsDate,
  ICalendarEvent,
  ICalendarEventData,
};