import { defineStore } from 'pinia'
import axios from '../../axios'
import { ref, computed } from 'vue'
import {IModelLog} from "@/stores/client_log/interfaces";
import {IPage} from "@/utils/interfaces";

export const useContactPersonStore = defineStore('contact-person-log', () => {
  const store = ref({
    contactPersonLog: {} as IPage<IModelLog>,
  })

  const getcontactPersonLog = computed(() => store.value.contactPersonLog.data)

  async function contactPersonLog(id: number) {
    try {
      let url = `api/log/contact-persons/${id}`
      if(store.value.contactPersonLog.data && store.value.contactPersonLog.next_page_url === null) {
        return
      }
      if(store.value.contactPersonLog.next_page_url) {
        url = store.value.contactPersonLog.next_page_url
      }

      const resp = await axios.get(url)
      if(store.value.contactPersonLog.data) {
        resp.data.data.data.forEach(function(item: IModelLog) {
          store.value.contactPersonLog.data.push(item)
        });
        store.value.contactPersonLog.next_page_url = resp.data.data.next_page_url
        store.value.contactPersonLog.next_cursor = resp.data.data.next_cursor
      } else {
        store.value.contactPersonLog = resp.data.data
      }

    } catch (error: any) {
      console.log(error)
      throw error.response
    }
  }

  function clear() {
    store.value.contactPersonLog = {}  as IPage<IModelLog>
  }

  return {
    store,
    getcontactPersonLog,
    contactPersonLog,
    clear
  }
})
