import { IRole } from "@/stores/role/interfaces";

interface IClientLog {
    client: Array<IModelLog>
    contacts: Array<IModelLog>
    products: Array<IModelLog>
}

interface IModelLog {
    id: string,
    user_id: number,
    loggable_type: string,
    loggable_id: string,
    before: object,
    after: object,
    different: object,
    type: string,
    created_at: string,
    updated_at: string,
    next_cursor?: string,
    roles: Array<IRole>,
    full_name: string,
    user?: {
        name: string,
        full_name: string,
        roles: Array<IRole>,
    } | undefined
}

interface IRolePermissionsLog extends IModelLog {
    loggable: IRole,
    permission_section: string,
    permission_operation: string,
    settings_before: object,
    settings_after: object,
}

export type {
  IRolePermissionsLog,
  IClientLog,
  IModelLog
};
