import {defineStore} from "pinia";
import axios from "@/axios";
import {ICommentDispatchForm} from "@/stores/comments_dispatch/interfaces";

export const useCommentDispatch = defineStore('comment_dispatch', function () {
  async function send (data: ICommentDispatchForm) {
    try {
      await axios.post('api/comments-dispatch', data)
    } catch (error: any) {
      throw error.response
    }
  }

  return {
    send,
  }
})
