import { IUserShort } from "@/pages/users/interfaces"

interface IContactPersonBase {
    name: string,
    surname: string,
    patronymic: string,
    full_name: string,
    status: boolean,
    note: string,
    responsibility_area: string,
    emails: ContactPersonEmail[],
    phones: ContactPersonPhone[],
    telegrams: ContactPersonTelegrams[],
}

export interface ContactPerson extends IContactPersonBase {
    readonly id: string,
    responsible_users: Array<IUserShort>,
    created_at: string, 
}

export interface IContactPersonForm extends IContactPersonBase {
    responsible_users: Array<number>,
}

export interface ContactPersonEmail {
    readonly id: string
    email: string
    contact_person_id?: string
}

export interface ContactPersonPhone {
    readonly id: string
    phone: string
    contact_person_id?: string
}

export interface ContactPersonTelegrams {
    readonly id: string
    telegram_name: string
    contact_person_id?: string
}

export interface IContactStatus {
    [ key: number ]: string,
}
