import {ITicketsByQueueStat, ITicketsStat} from '@/pages/dashboard/interfaces';
import {defineStore} from "pinia";
import axios from "@/axios";
import {AxiosError} from "axios";

const URL = "/api/dashboard";

export const useDashboardStore = defineStore("dashboard", () => {
  async function getUserOpenTickets(): Promise<ITicketsStat> {
    try {
      const res = await axios.get(URL + '/user-open-tickets');
      return res.data.data;
    } catch (error) {
      const err = error as AxiosError;
      throw err.response;
    }
  }

  async function getUserTicketsByQueues(): Promise<Array<ITicketsByQueueStat>> {
    try {
      const res = await axios.get(URL + '/user-tickets-by-queues');
      return res.data.data;
    } catch (error) {
      const err = error as AxiosError;
      throw err.response;
    }
  }

  return {getUserOpenTickets, getUserTicketsByQueues};
});
