import {IUser} from "@/pages/users/interfaces"

type DepartmentUser =
  Pick<IUser, 'email' | 'id' | 'full_name' | 'phone_number' | 'time_zone' | 'roles' | 'status'>
  & { is_manager_of_department: boolean };

interface IDepartment {
  name: string
  readonly id: string
  created_at: string
  hidden_name: string
  deleted_at: string
  users: DepartmentUser[]
  status: number,
  status_name: string,
  slug: string,
  pivot: {
    user_id: number,
    department_id: number,
    is_manager_of_department: boolean,
  },
}

interface IDepartmentPayload {
  name?: string
  users?: number[]
  managers?: number[]
  status?: string
}

export type {
  IDepartment,
  DepartmentUser,
  IDepartmentPayload,
};
