import {IUser} from "@/pages/users/interfaces";
import {IDepartment} from "@/stores/department/interfaces";

interface IDepartmentGrade {
  id: number
  comment: null | string
  positive_count: number
  negative_count: number
  is_rebuked: boolean
  date: string
  user_id: number
  user: Pick<IUser, 'id' | 'full_name'>
  department?: Pick<IDepartment, 'id' | 'name'>
}

interface IDepartmentGradeReport {
  positive_result: number
  negative_result: number
  grades: Pick<IDepartmentGrade, 'comment' | 'positive_count' | 'negative_count' | 'date' | 'is_rebuked'>[]
  general_result: number
  user_id: number
  user: {
    full_name: string
  }
}

type IPayload =
  Pick<IDepartmentGrade, 'comment' | 'negative_count' | 'positive_count' | 'date' | 'is_rebuked' | 'user_id'>

export type {
  IDepartmentGrade,
  IPayload,
  IDepartmentGradeReport,
}