import {useI18n} from "vue-i18n";

export const getExtension = (mimeType: string): string => {
  switch (mimeType) {
    case 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet': return '.xlsx'

    default: return ''
  }
}

export const getType = (mimeType: string): string => {
  const {t} = useI18n()

  switch (mimeType) {
    case 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet': return 'Excel'

    default: return t('Unknown type')
  }
}
