import {defineStore} from "pinia";
import axios from "@/axios";

const URL = "/api/general-settings/";

export const useGeneralSettingStore = defineStore('general_setting', () => {
  async function getSetting(name: string) {
    try {
      const response = await axios.get(URL, {
        params: {
          name,
        }
      })

      return response.data
    }
    catch (e) {
      throw e
    }
  }

  async function saveSetting(name: string, value: string | number) {
    try {
      const response = await axios.patch(URL, {
        name,
        value,
      })

      return response.data
    }
    catch (e) {
      throw e
    }
  }

  return {
    getSetting,
    saveSetting,
  }
})