import {IFilterData, IPage} from "@/utils/interfaces";

import { defineStore } from "pinia";
import axios from "@/axios";

export const useHoldingStore = defineStore("holding", () => {
  async function getFinancialIndicators(params: IFilterData = {}){
    try {
      const res = await axios.get(`/api/clients/${params.clientId}/holding/financial_indicators`, { params });
      return res.data;
    } catch (error: any) {
      throw error.response;
    }
  }

  async function getTransactions(params: IFilterData = {}){
    try {
      const res = await axios.get(`/api/clients/${params.clientId}/holding/transactions`, { params });
      return res.data;
    } catch (error: any) {
      throw error.response;
    }
  }


  return {
    getFinancialIndicators,
    getTransactions,
  };
});
