type IExtraTemplate = {
  id?: number,
  type: "email" | "web",
  topic: string,
  body: string,
  recipients: {
    roles: Array<string>,
    users: Array<string>,
    departments: Array<string>,
    ts_participants: Array<string>,
    preselected_users?: Array<{ id: number, full_name: string}>,
  }
};

interface INotificationScheduleForm {
  name: string,
  notification_type: string,
  comment?: string,
  status: string,
  event?: string,
  report_id?: string,
  manual_launch: boolean,
  launch_type: "EVENT" | "ONCE_A_DAY" | "ONCE_IN_N_DAYS" | "MANUAL" | null,
  launch_time?: string,
  launch_days_interval?: string,
  role_recipients?: Array<string>,
  user_recipients?: Array<string>,
  department_recipients?: Array<string>,
  ts_participants?: Array<string>,
  notify_via_email: boolean,
  notify_via_web: boolean,
  notify_via_mobile: boolean,
  email_template_topic?: string,
  email_template_body?: string,
  web_template_topic?: string,
  web_template_body?: string,
  mobile_template_topic?: string,
  mobile_template_body?: string,
  extra_templates: Array<IExtraTemplate>,
}

interface INotificationScheduleListing {
  id: number,
  name: string,
  created_at: string,
  updated_at: string,
  notification_type: string,
  distribution_channels: Array<string>,
  activity: boolean,
  creator: string,
  manual_launch: boolean,
}

export type {
  IExtraTemplate,
  INotificationScheduleForm,
  INotificationScheduleListing,
};