import { defineStore } from "pinia";
import axios, { AxiosError } from "axios";
import { INotificationSetting } from "./interfaces";

export const useNotificationSettingStore = defineStore("notification_setting", () => {
  async function get () {
    try {
      const res = await axios.get('/api/notification-settings');
      return res.data;
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }

  async function set (params: Array<INotificationSetting>) {
    try {
      await axios.put('/api/notification-settings', params);
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }

  return {
    get,
    set,
  };
});