import { defineStore } from "pinia";
import axios, { AxiosError } from "axios";

export type Block = "PROFILE"
  | "INFO"
  | "CONTACTS"
  | "PRODUCTS"
  | "DOCUMENTS"
  | "TICKETS"
  | "AGGREGATOR_PARTICIPANTS"
  | "HOLDING_PARTICIPANTS";

export const usePageBlockStore = defineStore("page-blocks", () => {
  async function setBlockViewedAt(params: {
    blockable_type: string,
    blockable_id: string,
    block: Block,
  }): Promise<void> {
    if (!params.blockable_type || !params.blockable_id || !params.block) return;

    try {
      const res = await axios.post("/api/blocks-viewed-at", params);
      return res.data;
    } catch (error) {
      const err = error as AxiosError;
      throw err.response;
    }
  }

  return { setBlockViewedAt };
});
