export enum ReminderableTypes {
  NOTE = 'App\\Models\\UserNote',
  TICKET = 'App\\Models\\TicketSystem\\Ticket',
}

export type ListReminderRequest = {
  user_id: number | string
  reminderable_type: ReminderableTypes
  reminderable_id: number | string
}

export type CreateReminderRequest = {
  user_id: number | string
  reminderable_type: ReminderableTypes
  reminderable_id: number | string
  remind_at: string
  date_period_to?: string | null
  notify_period?: string | number | null
}

export interface IReminder {
  id: number
  reminderable_type: ReminderableTypes
  reminderable_id: number
  user_id: number
  remind_at: string
  date_period_to: string | null
  notify_period: number | null
  updated_at: string
  created_at: string
}
