import { defineStore } from 'pinia'
import axios from '@/axios'
import {computed, ref} from 'vue'
import {IPage, ISelect} from "@/utils/interfaces";
import {IClient} from "@/pages/clients/interfaces";

export const useTimeZone = defineStore('timezone', () => {
  const timezone = ref({
    list: [] as ISelect[],
  })

  const getTimezoneList = computed(() => timezone.value.list)
  const getTimezoneName = (name: string) => {
    const tz = timezone.value.list.find(item => item.value === name)
    return tz ? tz.text : ''
  }
  async function index(): Promise<IPage<string>> {
    try {
      const resp = await axios.get(`api/timezones/list`)
      timezone.value.list = resp.data
      return resp.data
    } catch (error: any) {
      throw error.response
    }
  }

  return { getTimezoneList, index, timezone, getTimezoneName }
})
