import { defineStore } from "pinia";
import axios from "@/axios";
import { AxiosError, isAxiosError } from "axios";
import {computed, ref} from "vue";
import {IFilterData, ISelect} from "@/utils/interfaces";

export const useTraderPaymentSystemStore = defineStore("payment-systems", () => {
  const store = ref({
    selectList: [] as ISelect[],
  })
  const getSelectList = computed(() => store.value.selectList)
  async function selectList() {
    try {
      const resp = await axios.get(`api/trader/payment-systems/list`)
      store.value.selectList = resp.data.data
      return resp.data
    } catch (error: unknown) {
      if(isAxiosError(error)) {
        throw error.response
      }
      throw error
    }
  }

  return { getSelectList, selectList };
});
