import {IServiceProvider, IServiceProviderCurrencySettingForm} from "@/stores/service_providers/interfaces";
import { IContactable } from "@/utils/interfaces";
import {ITrader} from "@/stores/trader/interfaces";

interface ITraderAdmins extends IContactable {
  id: number,
  id_payport: number,
  name: string,
  status: string,
  email: string,
  created_at: string,
  available_providers: Array<IServiceProvider>,
  team_traders: Array<{
      id: string,
      name: string
  }>,
  roles: Array<{
      id: string,
      name: string,
      slug: string
  }>,
  environment_type: string,
  payport_trader_admin: {
      id: number,
      status: number|string,
      created_at: string,
      enable_2fa: boolean|number|null
  },
  service_providers_ids: Array<string>,
  available_providers_ids: Array<string>
}

interface ITraderAdminsRoles{
    id: number,
    name: string,
    slug: string
}
interface ITraderAdminForm {
    name: string,
    status: string,
    email: string,
    password: string,
    environment_type: string,
    available_providers_ids: Array<string>,
    roles: Array<string>,
    traders: Array<string>,
    enable_2fa: boolean|number|null
}
export type {
  ITraderAdmins,
  IServiceProvider,
  ITraderAdminsRoles,
  ITraderAdminForm
};
