import { defineStore } from "pinia";
import axios, { AxiosError } from "axios";
import { IUserPreference } from "./interfaces";

export const useUserPreference = defineStore("user_preference", () => {
  const notificationsSettings = [
    'notifications.hide_self_notifications'
  ]
  async function get (config_key = '') {
    try {
      const res = await axios.get('/api/user-preferences?config_key=' + config_key);
      return res.data;
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }

  async function set (params: Array<IUserPreference>) {
    try {
      await axios.put('/api/user-preferences', params);
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }

  async function setCustom (params: Array<IUserPreference>) {
    try {
      await axios.put('/api/user-preferences/custom', params);
    } catch (err) {
      const error = err as AxiosError;
      throw error.response;
    }
  }


  return {
    get,
    set,
    setCustom,
    notificationsSettings
  };
});
