import * as validators from "@vuelidate/validators";
import * as customValidators from "./validators";
import { i18n } from "./i18n";

const { createI18nMessage } = validators;
const withI18nMessage = createI18nMessage({ t: i18n.global.t.bind(i18n) })

export const required = withI18nMessage(validators.required);
export const alpha = withI18nMessage(validators.alpha);
export const email = withI18nMessage(validators.email);
export const minLength = withI18nMessage(validators.minLength, { withArguments: true });
export const maxLength = withI18nMessage(validators.maxLength, { withArguments: true });
export const minValue = withI18nMessage(validators.minValue, { withArguments: true });
export const maxValue = withI18nMessage(validators.maxValue, { withArguments: true });
export const requiredIf = withI18nMessage(validators.requiredIf, { withArguments: true });
export const requiredUnless = withI18nMessage(validators.requiredUnless, { withArguments: true });
export const sameAs = withI18nMessage(validators.sameAs, { withArguments: true });
export const numeric = withI18nMessage(validators.numeric);
export const decimal = withI18nMessage(validators.decimal);
export const requiredAtLeastOneContact = withI18nMessage(validators.requiredIf);
export const url = withI18nMessage(validators.url);
export const and = withI18nMessage(validators.and, { withArguments: true });
export const or = withI18nMessage(validators.or, { withArguments: true });
export const minDate = withI18nMessage(customValidators.minDate, { withArguments: true });
export const maxDate = withI18nMessage(customValidators.maxDate, { withArguments: true });
export const hexColor = withI18nMessage(customValidators.hexColor);
export const isNotTrue = withI18nMessage(customValidators.isNotTrue, { withArguments: true });
export const alwaysTrue = withI18nMessage(customValidators.alwaysTrue);
