import {createI18n} from "vue-i18n";

const i18n = createI18n({
  legacy: false,
  locale: "ru",
  allowComposition: true,
  messages: {
    ru: {
      validations: {
        required: "Поле должно быть заполнено!",
        alpha: "Значение должно содержать только буквы!",
        email: "Email имеет некорректный формат!",
        minLength: "Значение имеет слишком малую длину!",
        maxLength: "Значение имеет слишком большую длину!",
        maxLengthVerbose: "Превышен максимально допустимый размер {max} символов!",
        minValue: "Значение меньше допустимого: {min}",
        maxValue: "Значение превышает допустимый максимум: {max}",
        minDate: "Дата некорректна или меньше допустимой!",
        maxDate: "Дата некорректна или больше допустимой!",
        requiredIf: "Поле должно быть заполнено!",
        requiredUnless: "Поле должно быть заполнено!",
        sameAs: "Введенные пароли не совпадают!",
        numeric: "Значение должно быть числовым!",
        decimal: "Значение должно быть числовым!",
        requiredAtLeastOneContact: "Необходим хотя бы один контакт",
        url: "Значение не является корректным URL!",
        hexColor: "Значение не является цветом.",
        between: "Значение должно быть в диапазоне"
      },
      "h": "ч",
      "min": "мин",
      "sec": "сек",
      "days": {
        one: 'день',
        few: 'дня',
        many: 'дней'
      },
      'months': {
        'january': 'январь',
        'february': 'февраль',
        'march': 'март',
        'april': 'апрель',
        'may': 'май',
        'june': 'июнь',
        'july': 'июль',
        'august': 'август',
        'september': 'сентябрь',
        'october': 'октябрь',
        'november': 'ноябрь',
        'december': 'декабрь',
      },
      'Contacts': 'Контакты',
      'Note': 'Примечание',
      'Responsibility area': 'Зона ответственности',
      'Add New Contact': 'Создать новый контакт',
      'Add New Role': 'Создать новую роль',
      'Edit Role': 'Изменить роль',
      'Add new client type': 'Добавить новый тип клиентов',
      'Add new tag': "Добавить новый тег",
      'Name': 'Имя',
      'name': 'Имя',
      'Name2': 'Название',
      'Name3': 'Наименование',
      'Surname': 'Фамилия',
      'Patronymic': 'Отчество',
      'Fullname': 'Полное имя',
      'Status': 'Статус',
      'Status active': 'Активен',
      'Status not active': 'Неактивен',
      'Role': 'Роль',
      'Password': 'Пароль',
      'Password confirmation': 'Подтверждение пароля',
      'Actions': 'Действия',
      'Action': 'Действие',
      'Emails': 'Emails',
      'Phones': 'Телефоны',
      'Products': 'Продукты',
      'Documents': 'Документы',
      'Attachments': 'Вложения',
      'Attachment': 'Вложение',
      "Section of Documents": "Раздел Документов",
      "Sections of Documents": "Разделы Документов",
      'docs': 'Документы',
      'docs_projects': 'Проекты',
      'docs_documents': 'Разделы',
      'docs_document': 'Раздел',
      'docs_document_info': 'Сведения о разделе',
      'docs_document_links': 'Связи с другими объектами',
      'docs_documents_create': 'Создание раздела',
      'docs_documents_edit': 'Редактирование раздела',
      'docs_document_draft': 'Взять в работу',
      'docs_document_publish': 'Опубликовать',
      'docs_document_title': 'Название раздела',
      'docs_document_text': 'Текст',
      'docs_document_childs': 'Подчиненные разделы',
      'docs_important': 'Важное',
      'docs_settings': 'Администрирование',
      'docs_archive': 'Архив',
      'docs_comments': 'Комментарии',
      'docs_knowledge': 'База знаний',
      'docs_perm': {
        'show': 'Просмотр',
        'create_edit': 'Создание/изменение',
        'archive_recovery': 'Восстановление из архива',
        'all': 'Все доступы',
        'extend_to_childs': 'Распространять на дочерние',
      },
      'docs_load_relation_error': 'Не удалось загрузить связанные разделы Документов',
      'docs_relation_not_found': 'Связанных разделов Документов не найдено',
      'docs_relation_with_topic_queue_not_found': 'Нет связанных справочных разделов Документов',
      'docs_relations': 'Связанные разделы Документов',
      'docs_save_file': 'Сохранить в раздел Документов',
      'docs_relate_with_documents': 'Связать с разделом Документов',
      'docs_relation_remove': 'Удалить связь с разделом Документов',
      'docs_save_failed': 'Не удалось сохранить файл в разделе Документов',
      'docs_show_relations': 'Показать связанные разделы Документов',
      'docs_hide_relations': 'Скрыть связанные разделы Документов',
      'docs_save_document_relation_success': 'Связь с разделом Документов ({document}) успешно добавлена.',
      'docs_delete_document_relation_success': 'Связь с разделом Документов ({document}) успешно удалена.',
      'docs_save_document_relation_failed': 'Не удалось добавить связь с разделом Документов ({document})',
      'docs_save_document_relation_failed_general': 'Не удалось добавить связь с разделом Документов',
      'docs_delete_document_relation_failed': 'Не удалось удалить связь с разделом Документов ({document})',
      'docs_delete_document_relation_failed_general': 'Не удалось удалить связь с разделом Документов',
      'docs_relation_will_be_removed': 'Связь с разделом Документов будет удалена после сохранения.',
      'docs_relation_file_will_be_delete': 'Файлы в разделе Документов и связь с ними будут удалены при наличии прав доступа.',
      'docs_delete_relation_file_success': 'Файл в разделе Документов удален.',
      'docs_relation_file_delete_no_permission': 'Удаление файла из раздела Документов невозможно. Недостаточно прав на раздел.',
      'docs_relation_will_be_saved': 'Файл будет сохранен в разделе Документов после подтверждения. Раздел: {document}',
      'Projects': 'Проекты',
      'New project': 'Новый проект',
      'Edit project': 'Редактирование проекта',
      'Project name': 'Название проекта',
      'Project has no documents': 'Нет разделов',
      'Create docs document': 'Создать раздел',
      'To archive': 'Отправить в архив',
      'From archive': 'Восстановление из архива',
      'Owner': 'Владелец',
      "Created by": "Кто создал",
      'Edited by': 'Кто изменил',
      "Edited at": "Дата изменения",
      "Data saved successfully": "Данные успешно сохранены",
      'Important': 'Важное',
      'Archive': 'Архив',
      "Create child document": "Создание подраздела",
      "Move up": "Поднять на уровень вверх",
      "Create duplicate": "Создать дубль",
      "Download to pdf": "Выгрузить в PDF",
      "Are you sure you want to create a subsection?": "Вы уверены, что хотите создать подраздел?",
      "Are you sure you want to move up the document?": "Вы уверены, что хотите изменить текущий уровень?",
      "Are you sure you want to create a duplicate?": "Вы уверены, что хотите создать дубль?",
      "Are you sure you want to change the status to draft?": "Вы уверены, что хотите взять раздел в работу?",
      "Are you sure you want to change the status to published?": "Вы уверены, что хотите опубликовать раздел?",
      "Are you sure you want to change the status to archive?": "Вы уверены, что хотите отправить раздел в архив?",
      "Are you sure you want to restore the document from the archive?": "Вы уверены, что хотите восстановить раздел из архива?",
      "Are you sure you want to delete the comment?": "Вы уверены, что хотите удалить комментарий?",
      'Common settings': 'Общие настройки',
      'File size (Mb)': 'Размер файла (Мб)',
      'File types': 'Допустимые расширения',
      'Tickets': 'Заявки',
      'Email': 'Email',
      'Mobile': 'Mobile',
      'email': 'Email',
      'Vault': 'Сводный',
      'General': 'Общий',
      'Description': 'Описание',
      'Department': 'Отдел',
      'Calendar': 'Календарь',
      'Calendar New': 'Календарь (new)',
      'calendar_events': 'Календарь',
      'calendar_colors': 'Приоритеты участников TS',
      'Reply': 'Ответить',
      calendar: {
        'Colors dict': 'Приоритеты участников TS',
        'Participant Name': 'Участник TS',
        'Priority': 'Порядок приоритета',
        'Color': 'Цвет',
        entities: {
          1: 'Автор',
          2: 'Исполнитель',
          3: 'Наблюдатель',
        },
        'types': 'Типы событий',
        types_desc: {
          1: 'Заметка',
          2: 'Заявка',
        },
        'Show theme': 'Показать тему',
        'Add note': 'Добавить заметку',
        'Edit note': 'Редактирование заметки',
        'Create ticket': 'Создать заявку',
        'Note description': 'Описание',
        'Note datetime': 'Дата и время',
        'Note remind at': 'Дата и время напоминания',
        'Choose action': 'Выберите действие',
        'Event has been planned': 'Событие запланировано',
        'Event has been edited': 'Событие отредактировано',
        'Event has been deleted': 'Событие удалено',
        'Error on planning the event': 'Ошибка при планировании события',
        'Error on editing the event': 'Ошибка при редактировании события',
        'Error on deleting the event': 'Ошибка при удалении события',
        'Set a reminder': 'Установить напоминание',
      },
      'Privileges': 'Доступы',
      'General settings': 'Общие настройки',
      'Query count': 'Количество запросов',
      'Limited search vault': 'Сводный отчет по поиску лидов и клиентов',
      'Limited search settings': 'Настройки ограниченного поиска лидов/клиентов',
      'Limited search setting: requests before blocked': 'Количество запросов (до блокировки)',
      'Limited search setting: decay minutes': 'Блокировка (минут)',
      'limited_search_request_per_hour_success': 'Ограниченный поиск: сохранена настройка для количества запросов (в час)',
      'limited_search_request_decay_minutes_success': 'Ограниченный поиск: сохранена настройка для блокировки (минут)',
      'limited_search_request_per_hour_fail': 'Ограниченный поиск: ошибка во время сохранения настройки для количества запросов (в час)',
      'limited_search_request_decay_minutes_fail': 'Ограниченный поиск: ошибка во время сохранения настройки для блокировки (минут)',
      'deferred_report_decay_days_success': 'Отложенная выгрузка: сохранена настройка автоматического удаления (дней)',
      'deferred_report_decay_days_fail': 'Отложенная выгрузка: ошибка во время сохранения настройки для автоматического удаления (дней)',
      'limited_search': 'Поиск лидов и клиентов',
      'general_settings': 'Общие настройки',
      'Merchant ID': 'Merchant ID',
      'Sandbox ID': 'Sandbox ID',
      'Client': 'Клиент',
      'Client data': 'Данные клиента',
      'Client info': 'Информация по клиенту',
      'Client profile': 'Профиль клиента',
      'Client list': 'Список клиентов',
      'Client ID': 'ID клиента',
      'Client type': 'Тип клиента',
      'Lead profile': 'Профиль лида',
      'Lead info': 'Информация по лиду',
      'File name': 'Название файла',
      'Change history': 'Журнал изменений',
      'Country': 'Страна',
      'Sales channel': 'Канал продаж',
      'Comment': 'Комментарий',
      'Quote': 'Цитата',
      'Comments': 'Комментарии',
      'Telegram accounts': 'Аккаунты телеграм',
      'Telegram Chats': 'Чаты телеграм',
      'Telegram Chat': 'Чат телеграм',
      'Phone': 'Телефон',
      'Telegram account': 'Аккаунт телеграм',
      'Are you sure?': 'Вы уверены?',
      'Do you really want to add new employees to a current department?': 'Вы действительно хотите добавить новых сотрудников в текущий отдел?',
      'Do you really want to delete these records? This process cannot be undone.':
        'Вы действительно хотите удалить эти записи? Этот процесс нельзя отменить',
      'Do you really want to convert this lead into client? This process cannot be undone.':
        'Вы действительно хотите конвертировать этого лида в клиента? Этот процесс нельзя отменить',
      'Do you really want to edit the current department?': 'Вы действительно хотите изменить текущий отдел?',
      'Cancel': 'Отменить',
      'Exit': 'Выход',
      'Delete': 'Удалить',
      'Save': 'Сохранить',
      'Edit Contact': 'Изменение контакта',
      'Add Contact': 'Добавление контакта',
      'Active': 'Активность',
      'Staff': 'Сотрудники',
      'Manager': 'Руководитель',
      'Managers': 'Руководители',
      'Select managers for department': 'Выберите руководителей отдела',
      'Select staff for department': 'Выберите сотрудников для отдела',
      'Department name': 'Название отдела',
      'Add New Department': 'Добавить отдел',
      'Add new grade': 'Добавить новую оценку',
      'Edit Department': 'Изменение отдела',
      'Department grade': 'Оценка сотрудников',
      'Edit country': 'Изменение страны',
      'Add country': 'Добавление страны',
      'Add new country': 'Добавить страну',
      'Country name': 'Название страны',
      'Country code': 'Код страны',
      'Countries': 'Список стран',
      'Countries2': 'Страны',
      'References': 'Справочники',
      'Lead': 'Лид',
      'Leads': 'Лиды',
      'Lead list': 'Список лидов',
      'Lead name': 'Название лида',
      'Lead data': 'Данные по лиду',
      'Edit sales channel': 'Изменение канала продаж',
      'Add sales channel': 'Добавление канала продаж',
      'Add tag': 'Добавление тега',
      'Edit tag': 'Изменение тега',
      'Sales channel name': 'Название канала продаж',
      'Sales channel list': 'Список каналов продаж',
      'Sales channels': 'Каналы продаж',
      'Edit user': 'Изменение пользователя',
      'Add user': 'Добавление пользователя',
      'Users': 'Список пользователей',
      'Users2': 'Пользователи',
      'User profile': 'Профиль пользователя',
      'User data': 'Данные пользователя',
      'Add new user': 'Добавить пользователя',
      'Add new sales channel': 'Добавить канал продаж',
      'Add Department': 'Добавление отдела',
      'Add new comment': 'Добавить комментарий',
      'Add new lead': 'Добавить лида',
      'Add lead': 'Добавление лида',
      'Add client type': 'Добавление типа клиента',
      'Edit client type': 'Изменение типа клиента',
      'Client type name': 'Название типа клиента',
      'Import clients': 'Импортировать клиентов',
      'Departments': 'Отделы',
      'Created At': 'Дата создания',
      'Updated At': 'Дата обновления',
      'Completed At': 'Дата завершения',
      'Converted At': 'Дата конвертации',
      'Cancelled At': 'Дата отмены',
      'Deactivated At': 'Дата деактивации',
      'Created By': 'Кем добавлено',
      'Updated By': 'Кем обновлено',
      'Field': 'Поле',
      'Value': 'Значение',
      'All': 'Все',
      'Show by': 'Показывать по',
      'No access': 'Нет доступа',
      'Created_at': 'Дата создания',
      'Created at grade': 'Дата оценки',
      'Edit': 'Изменить',
      'Pin': 'Закрепить',
      'UnPin': 'Открепить',
      'Comment pinned': 'Комментарий закреплен',
      'Comment pinned failed': 'Не удалось закрепить комментарий',
      'Comment unpinned': 'Комментарий откреплен',
      'Comment unpinned failed': 'Не удалось открепить комментарий',
      'Comment deleted': 'Комментарий удален',
      "Copy": "Копировать",
      'Search': 'Искать',
      'Search clients': 'Поиск клиентов',
      'Search leads': 'Поиск лидов',
      'The search is limited by the number of requests': 'Поиск ограничен по количеству запросов',
      'Request left': 'Осталось запросов',
      'The search is blocked': 'Поиск заблокирован',
      'Will be available after': 'Будет доступен через',
      'Search...': 'Поиск',
      'Search mode': 'Режим поиска',
      'Reset': 'Сбросить',
      'View Department': 'Просмотр отдела',
      'Add attachment': 'Добавление вложения',
      'Attachment name': 'Название вложения',
      'Attachment description': 'Описание вложения',
      'Add': 'Добавить',
      'Clear': 'Очистить',
      'Remove file': 'Удалить файл',
      'Cancel upload': 'Отменить загрузку',
      'Own department': 'Своего отдела',
      'Own': 'Свои',
      'Total': 'Всего',
      'Total2': 'Итого',
      'absolute': 'по модулю',
      'Call': 'Звонок',
      'Meeting': 'Встреча',
      'Task': 'Задача',
      'Topic': 'Тема',
      'Date': 'Дата',
      'Time': 'Время',
      'Duration': 'Продолжительность',
      'Reminder': 'Напоминание',
      'Date start': 'Дата начала',
      'Date end': 'Дата окончания',
      'Date created': 'Дата создания',
      'Date activation': 'Дата активации',
      'Date complete': 'Дата выполнения',
      'Priority': 'Приоритет',
      'Date & time': 'Дата и время',
      'Convert': 'Конвертировать',
      'Blacklist': 'Чёрный список',
      'In blacklist': 'В чёрном списке',
      'Not in blacklist': 'Не в чёрном списке',
      'IP addresses': 'IP-адреса',
      'Websites': 'Сайты',
      'Website': 'Сайт',
      'website': 'Сайт',
      'Client Type': 'Тип клиента',
      'Client Types': 'Типы клиентов',
      'Participant': 'Участник',
      'Participants': 'Участники',
      'Enter date': 'Дата вступления',
      'Exit date': 'Дата выхода',
      'Till current moment': 'По настоящее время',
      'Profile': 'Профиль',
      'Logout': 'Выйти',
      'Remember me': 'Запомнить меня',
      'Notifications': 'Уведомления',
      'Notification types': 'Типы уведомлений',
      'Notification type': 'Тип уведомления',
      "Notification name": "Название уведомления",
      "Only active ads": "Только по активным объявлениям",
      "client_coefficients": "Проставление цвета клиентом",
      "Coefficients": "Коэффициенты клиентов",
      "coefficients": "Коэффициенты клиентов",
      "Criticality": "Критичность заявок",
      "criticality": "Критичность заявок",
      "Distribution channel": "Канал рассылки",
      "Activity": "Активность",
      "Author": "Автор",
      'Notification type creation': 'Добавление типа уведомления',
      'Notification type edit': 'Изменение типа уведомления',
      'Add notification type': 'Добавить тип уведомлений',
      'Notification management': 'Управление уведомлениями',
      'Notification creation': 'Добавление уведомления',
      "Notification edit": "Изменение уведомления",
      'Add notification': 'Добавить уведомление',
      'Events': 'События',
      'Event': 'Событие',
      "Manual launch": "Ручной запуск",
      "Periodicity": "Периодичность",
      "On event": "По событию",
      "Once a day": "Раз в день",
      "Once in N days": "Раз в N дней",
      "Recipients": "Получатели",
      "Web": "Web",
      "Ways of notification": "Способы уведомлений",
      "Notification templates": "Шаблоны уведомлений",
      "Base templates": "Базовые шаблоны",
      "Extra template": "Дополнительный шаблон",
      "Template type": "Тип шаблона",
      "Add new template": "Добавить новый шаблон",
      "TS participants": "Участники TS",
      "Text": "Текст",
      'Icon': 'Иконка',
      'Color': 'Цвет',
      'Files': 'Файлы',
      'Saved files': 'Сохраненные файлы',
      'New files': 'Новые файлы',
      'Home': 'Главная',
      "Display": "Показывать",
      "Read": "Прочитанные",
      "Unread": "Непрочитанные",
      "Read all": "Прочитать все",

      // Education
      'Education': 'Обучение',
      'education': 'Обучение',
      'Passing courses/tests': 'Прохождение курсов/тестов',
      'education_passing': 'Прохождение курсов/тестов',
      'Passing courses': 'Прохождение курсов',
      'Testing': 'Тестирование',
      'Administration': 'Администрирование',
      'education_settings': 'Администрирование',
      'Courses': 'Курсы',
      'Tests': 'Тесты',
      'Groups of courses and tests': 'Группы курсов и тестов',
      'Verification tests': 'Тесты на проверку',
      'Reporting': 'Отчетность',
      'education_reporting': 'Отчетность',
      'Schedule': 'Расписание',
      'education_schedule': 'Расписание',
      'Draft': 'Черновик',
      'Published': 'Опубликован',
      // 'Archive': 'Архив',
      'Course': 'Курс',
      'Add course': 'Создать курс',
      'Add test': 'Создать тест',
      'Edit course': 'Редактировать курс',
      'Course information': 'Сведения о курсе',
      'Export to an external module': 'Признак экспорта во внешний модуль',
      'Copy the link': 'Копировать ссылку',
      'Copied': 'Скопировано',
      'Delete the file': 'Удалить файл',
      'History': 'История',
      'Creator': 'Кто создал',
      'Schedules': 'Расписания',
      'Binding to tests': 'Привязка к тестам',
      'Group of courses': 'Группа курсов',
      'Change status': 'Изменить статус',
      'Assign the course': 'Назначить курс',
      'Add a test to the course': 'Добавить тест к курсу',
      'Add a course to a group': 'Добавить курс в группу',
      'Empty option': 'Не выбрано',
      'Empty notification channel': 'Не выбран канал уведомления',
      'Recipients ': 'Адресаты',
      'Users ': 'Пользователи',
      'Schedules ': 'Запланировать расписание',
      'Select interval': 'Выберите интервал',
      'Select recipients': 'Выберите адресатов',
      'Select recipient': 'Выберите адресата',
      'Select user': 'Выберите пользователя',
      'Download file': 'Скачать файл',
      'Are you sure you want to take the test to work?': 'Вы уверены, что хотите взять тест в работу?',
      'Are you sure you want to take the course to work?': 'Вы уверены, что хотите взять курс в работу?',
      'Are you sure you want to archive the test?': 'Вы уверены, что хотите отправить тест в архив?',
      'Are you sure you want to archive the course?': 'Вы уверены, что хотите отправить курс в архив?',
      'Are you sure you want to publish this test?': 'Вы уверены, что хотите опубликовать этот тест?',
      'Are you sure you want to publish this course?': 'Вы уверены, что хотите опубликовать этот курс?',
      'Back in history': 'Назад по истории',
      'Forward in history': 'Вперёд по истории',
      'Dates of passage': 'Даты прохождения',
      'Showing': 'Показать',
      'Upcoming': 'Предстоящие',
      'Completed': 'Завершенные',
      'Familiarised': 'Ознакомлен',
      'Not familiarised': 'Не ознакомлен',
      'Rewrite': 'Перезаписать',
      'Edit ': 'Редактировать',
      'Table of contents': 'Содержание',
      'Create / Update': 'Создать / обновить',
      'Remove': 'Удалить',
      'Disable departments from changes': 'Отключить отделы от изменений',
      'Disable users from changes': 'Отключить пользователей от изменений',
      'The start date cannot be greater than the end date': 'Дата начала не может быть больше чем дата окончания',
      'Type of verification': 'Тип проверки',
      'Manual ': 'Ручная',
      'Automatic': 'Автоматическая',
      'Test topic': 'Тема теста',
      'Course topic': 'Тема курса',
      'Verification type': 'Тип проверки',
      'Calculation type': 'Вариант расчета результатов',
      'Publication type': 'Тип публикации',
      'The number of random questions': 'Количество рандомных вопросов',
      'Intervals for calculation': 'Интервалы для расчёта',
      'Minimum score': 'Минимальный балл',
      'Number of attempts': 'Количество попыток',
      'Percentage': 'Процентный',
      'Interval': 'Интервальный',
      'Exact': 'Точный',
      'Random': 'Рандом',
      'Entering intervals': 'Ввод интервалов',
      'Entering intervals and message texts': 'Ввод интервалов и текстов сообщений',
      'Intervals and message texts': 'Интервалы и тексты сообщений',
      'Time limit for passing': 'Ограничение времени прохождения',
      'Once': 'Однократно',
      'Unlimited': 'Неограниченно',
      'Custom value': 'Своё значение',
      'Questions': 'Вопросы',
      'Question': 'Вопрос',
      'Question type': 'Тип вопроса',
      'Answer type': 'Тип ответа',
      'Answer': 'Ответ',
      'Add question': 'Добавить вопрос',
      'Edit question': 'Редактировать вопрос',
      'After passing the test, output all the correct answers?': 'После прохождения теста вывести все правильные ответы?',
      'The test was not passed': 'Тест не пройден',
      'Need to take the test again': 'Необходимо пройти тест еще раз',
      'Test passed successfully': 'Тест пройден успешно',
      'One answer option': 'Один вариант ответа',
      'Multiple choice answers': 'Несколько вариантов ответа',
      'Image': 'Картинка',
      'Answers': 'Ответы',
      'Add answer': 'Добавить ответ',
      'Edit answer': 'Редактировать ответ',
      'Correct answer': 'Правильный ответ',
      'Select course': 'Выберите курс',
      'Binding to the courses': 'Привязка к курсам',
      'Inspector': 'Проверяющий',
      'All questions': 'Все вопросы',
      'Questions and answers': 'Вопросы и ответы',
      'Entering questions and answers': 'Ввод вопросов и ответов',
      'Test information': 'Сведения о тесте',
      'Assign the test': 'Назначить тест',
      'Group of tests': 'Группа тестов',
      'Add a course to the test': 'Добавить курс к тесту',
      'Add a test to a group': 'Добавить тест в группу',
      'Test': 'Тест',
      'min.': 'мин.',
      'Pass': 'Пройти',
      'Continue': 'Продолжить',
      'Start testing': 'Начать тестирование',
      'Forward': 'Вперёд',
      'Back ': 'Назад',
      'Send': 'Отправить',
      'Send for verification': 'Отправить на проверку',
      'Choose one correct answer': 'Выберите один правильный ответ',
      'Choose a few correct answers': 'Выберите несколько правильных ответов',
      'Enter the answer text': 'Введите текст ответа',
      'from': 'из',
      'The result of the check': 'Результат проверки',
      'Final assessment': 'Итоговая оценка',
      'Date/time of verification': 'Дата/время проверки',
      'Decryption of verification': 'Расшифровка проверки',
      'Unanswered': 'Без ответа',
      'Without comment': 'Без комментария',
      'Score': 'Балл',
      // 'Day': 'День',
      'Days': 'Дней',
      'Days ': 'Дня',
      'Hour': 'Час',
      'Hours': 'Часов',
      'Hours ': 'Часа',
      'Minute': 'Минута',
      'Minutes': 'Минуты',
      'Minutes ': 'Минут',
      'Second': 'Секунда',
      'Seconds': 'Секунды',
      'Seconds ': 'Секунд',
      'Do you want to complete the testing?': 'Вы хотите завершить тестирование?',
      'Correct answers': 'Правильные ответы',
      'To pass the test, you must first complete the courses': 'Для прохождения тестирования необходимо сначала пройти курсы',
      'The number of correct answers falling under the specified threshold percentage': 'Количество правильных ответов попадаемое под указанный пороговый процент',
      'Open': 'Открыть',
      'Pending checks': 'Ожидающие проверки',
      'Not passed ': 'Не пройденные',
      'Are you sure you want to start testing?': 'Вы уверены, что хотите начать тестирование?',
      'Correct': 'Правильный',
      'Incomplete': 'Неполный',
      'Wrong': 'Неправильный',
      'Employee': 'Сотрудник',
      'Scheduled dates': 'Запланированные даты',
      'from ': 'от',
      'to ': 'до',
      'Passing date': 'Дата прохождения',
      'Number of attempts used': 'Количество использованных попыток',
      'User selection': 'Выбор пользователя',
      'Test/Course ID': 'ID Теста/Курса',
      "Assigned": "Назначен",
      // "In process": "В процессе",
      "Failed by timeout": "Не пройден по таймауту",
      "Not passed": "Не пройден",
      "Passed": "Пройден",
      "Awaiting inspection": "На проверке",
      "Course/Test status": "Статус курса/теста",
      "Moderated by": "На модерации",
      "Passing status": "Статус прохождения",
      "Who passed": "Кто прошел",
      "Verification status": "Статус проверки",
      "Verified": "Проверен",
      "Not verified": "Не проверен",
      "Check it out": "Проверить",
      "Verification form": "Форма проверки",
      "Verification completed": "Проверка завершена",
      "The document is locked by another user": "Раздел заблокирован другим пользователем",
      "Group type": "Тип группы",
      "Group name": "Наименование группы",
      "List of courses": "Перечень курсов",
      "List of tests": "Перечень тестов",
      "List of tests/courses in the group": "Перечень тестов/курсов в группе",
      "Add group": "Создать группу",
      "Assign the group": "Назначить группу",
      "Add courses": "Добавить курсы",
      "Add tests": "Добавить тесты",
      "Optional interval": "Необязательный интервал",
      "Course/Test topic": "Тема курса/теста",
      'Type of test verification': 'Тип проверки теста',
      'Test group': 'Группа тестов',
      'Course group': 'Группа курсов',
      'View the results': 'Посмотреть результаты',
      'Go to the tests': 'Перейти к тестам',
      'The inspector is installed on all manual tests': 'Проверяющий устанавливается на все ручные тесты',
      'Group': 'Группа',
      'All courses': 'Все курсы',
      "Assigned ": "Назначенные",
      "Passed ": "Пройденные",
      "Until": "До",
      "Knowledge testing": "Проверка знаний",
      "First you need to take a lesson": "Сначала необходимо пройти урок",
      "Expired": "Просрочен",
      "You don't have any active or completed courses": "У вас нет активных или выполненных курсов",
      "You don't have any assigned courses": "У вас нет назначенных курсов",
      "You don't have any completed courses": "У вас нет пройденных курсов",
      "Attempts left: _num_": "Осталось попыток: _num_",

      "Loading extra values...": "Загружаются дополнительные результаты...",
      "All results are shown.": "Показаны все результаты.",
      "No results found": "Результаты не найдены",
      "The search yielded no results": "Поиск не дал результатов",
      "Search result": "Результаты поиска",
      "Choose from existing": "Выбрать из существующих",
      "Choose country name": "Выберите название страны",
      "Choose status": "Выберите статус",
      "Choose sales channel": "Выберите канал продаж",
      "Choose roles": "Выберите роли",
      "Choose department": "Выберите отдел",
      "Choose contact persons": "Выберите контактные лица",
      "Choose product types": "Выберите типы продуктов",
      "Choose holding": "Выберите холдинг",
      "Choose client type": "Выберите тип клиента",
      "Choose holding participant": "Выберите участника холдинга",
      "Choose notification type": "Выберите тип уведомления",
      "Choose event": "Выберите событие",
      "Choose users": "Выберите пользователей",
      "Choose report": "Выберите отчет",
      "Choose type": "Выберите тип",
      "Enter the country name": "Введите название страны",
      "Enter the country code": "Введите код страны",
      "Enter the sales channel name": "Введите название канала продаж",
      "Enter the user surname": "Введите фамилию пользователя",
      "Enter the user name": "Введите имя пользователя",
      "Enter the user patronymic": "Введите отчество пользователя",
      "Enter the email": "Введите email",
      "Enter the phone number": "Введите номер телефона",
      "Enter the password": "Введите пароль",
      "Enter the password again": "Введите пароль повторно",
      "Enter the client type name": "Введите название типа клиента",
      "Enter the lead name": "Введите название лида",
      "Enter the participant name": "Введите название участника",
      "Enter the participant URL": "Введите URL участника",
      "Enter the tag": "Введите название тега",
      "Enter the name": "Введите название",
      "Enter the comment": "Введите комментарий",
      "Enter the topic": "Введите тему",
      "Enter the email text": "Введите текст письма",
      "Enter the notification text": "Введите текст уведомления",
      "Convert lead": "Конвертировать",
      "SP type": "Тип СП",
      "Choose SP type": "Выберите тип СП",
      "Enter your telegram": "Введите свой telegram",
      "Created at": "Дата создания",
      "Updated at": "Дата обновления",
      "Integration": "Интеграция",
      "Add service provider": "Добавить сервис-провайдер",
      "Edit service provider": "Изменить сервис-провайдер",
      // "Environment": "Среда",
      // "New": "Новый",
      // "Sandbox": "Песочница",
      // "Production": "Продуктив",
      // "Production ID": "ID продуктива",
      "Service provider info": "Информация по сервис-провайдеру",
      "ServiceProvider": "Сервис провайдер",
      "Service provider log": "Лог сервис-провайдера",
      "Service provider contact log": "Лог контактов сервис-провайдера",
      "Service provider communication log": "Лог взаимодействий сервис-провайдера",
      "Service provider settings log": "Лог настроек сервис-провайдера",
      'SP settings': 'Настройки СП',
      'Rate source': 'Источник курсов',
      'Markup': 'Наценка',
      'Working hours': 'Рабочие часы',
      'Do you really want to remove?': 'Вы действительно хотите удалить?',
      'currency has already been taken.': 'Такие настройки уже есть',
      'Write down the reason for the change': 'Укажите причину изменения',
      'Write down the reason for the deletion': 'Укажите причину удаления',
      'Active status': 'Активный',
      'Inactive status': 'Неактивный',
      "Add new interaction": "Добавить новое взаимодействие",
      "No interactions added": "Нет добавленных взаимодействий",
      "No notifications for displaying": "Нет уведомлений для отображения",
      "Responsible user": "Ответственный",
      "Select responsible user": "Выберите ответственного",
      "Data edited successfully!": "Данные записаны успешно",
      "Data edited failed!": "Во время записи данных произошла ошибка",
      "Data deleted failed!": "Во время удаления данных произошла ошибка",
      "Access denied!": "Доступ запрещен!",
      "Choose merchants": "Выберите мерчента",
      "Choose traders": "Выберите трейдера",
      'Choose cancellation reason': 'Выберите причину отмены',
      "Error while saving data!": "Ошибка при сохранении данных!",
      "The email has already been taken.": "Такая почта уже занята.",
      "The name has already been taken.": "Такое имя уже занято.",
      "Check the correctness of the entered data!":
        "Проверьте корректность введенных данных!",
      "Shown results quantity": "Показано {from} - {to} из {total} записей",
      "No added comments": "Нет добавленных комментариев",
      "No added product types": "Нет добавленных типов продуктов",
      "Show more": "Показать больше",
      "Show all": "Показать все",
      "Unknown user": "Неизвестный сотрудник",
      "No responsible user": "Нет ответственного сотрудника",
      "Client not created": "Клиент не создан",
      "Select time zone": "Выбор часового пояса",
      "Time zone": "Часовой пояс",
      "Select permissions": "Выбирете параметр доступа",
      "Not chosen": "Не выбрано",
      "Oops. This page has gone missing.": "Такой страницы не существует.",
      "You may have mistyped the address or the page may have moved.":
        "Возможно, неверно введен адрес, или страница переехала.",
      "Back to Home": "Назад на главную страницу",
      "Access to this page has been denied.": "Доступ к этой странице закрыт.",
      "Drop files here or click to upload.": "Перетащите файл сюда или нажмите для загрузки.",
      "Available formats are: ": "Доступные форматы: {formats}",
      "File is too big ({filesize}MiB). Max filesize: {maxFilesize}MiB.":
        "Файл имеет слишком большой размер ({filesize} МБ). Максимальный размер: {maxFilesize} МБ.",
      "You can't upload files of this type.": "Нельзя загружать файлы данного формата.",
      "Are you sure you want to cancel this upload?":
        "Вы уверены, что хотите прервать загрузку?",
      "You can not upload any more files.": "Нельзя загрузить больше файлов",
      "Drop files here to upload": "Перетащите файлы сюда для загрузки",
      "Write down the reason for cancel": "Укажите причину отмены",
      "Write down the reason for adding to blacklist": "Укажите причину добавления в чёрный список",
      "No created communications": "Нет созданных взаимодействий",
      "Add communication": "Добавить взаимодействие",
      "Communication has been planned.": "Взаимодействие запланировано",
      "Communication has been edited.": "Взаимодействие отредактировано",
      "Communication has been deleted.": "Взаимодействие удалено",
      "Error on planning the communication.": "Ошибка при планировании взаимодействия",
      "Error on editing the communication.": "Ошибка при редактировании взаимодействия",
      "Error on deleting the communication.": "Ошибка при удалении взаимодействия",
      "At least one should be selected!": "Должно быть выбрано хотя бы одно значение!",
      "No type": "Без типа",
      "Add participant": "Добавить участника",
      "Add manager": "Добавить руководителя",
      "Add employee": "Добавить сотрудника",
      "present": "наст. время",
      "Close all": "Очистить",
      "The selected time ({datetime}) intersects with: ": "Выбранное время ({datetime}) пересекается с: ",
      "Continue?": "Продолжить?",
      "Yes": "Да",
      "No": "Нет",
      "No data": "Нет данных",
      "No elements found": "Ничего не найдено",
      "Error while creating comment!": "Ошибка при создании комментария!",
      "Error while updating lead data!": "Ошибка при обновлении данных по лиду!",
      "Error while uploading files!": "Ошибка при загрузке файлов",
      "Export": "Экспорт",
      "association_types": "Типы клиентов",
      "sales_channels": "Каналы продаж",
      "Tags": "Теги",
      "tags": "Теги",
      "Tag": "Тег",
      "Categories": "Категории",
      "Do you really want to rename the tag?": "Вы действительно хотите переименовать тег?",
      "The selected tag is already in use.": "Изменяемый тег уже используется.",
      "Times used": "Количество использований",
      "Favorites": "Избранное",
      "favorites": "Избранное",
      "Search by tags": "Поиск по тегам",
      "tags_search": "Поиск по тегам",
      "traders": "Трейдеры",
      "product_gnu_vpn_clients": "Продукты gnu vpn",
      "product_sales_b2_b_s": "Продукты Sales B2B",
      "Tag category": "Категория тега",
      "Sorting by": "Сортировка по",
      "Sorting": "Сортировка",
      "Domain": "Домен",
      "Domains": "Домены",
      "domains": "Домены",
      "Add domain": "Добавить домен",
      "Edit domain": "Редактировать домен",
      "Allowed domains": "Разрешенные домены",
      "Allowed file formats": "Разрешенные форматы файлов",
      "Choose allowed domains": "Выберите разрешенные домены",
      "Properties": "Свойства",
      "Notification is added to queue!": "Уведомление добавлено в очередь!",
      "Notification could not be added to queue!": "Не удалось добавить уведомление в очередь!",
      "Notification copied successfully!": "Уведомление успешно копировано!",
      "Notification settings": "Настройки уведомлений",
      "No settings added": "Нет добавленных настроек",
      "Error on copying the notification!": "Ошибка при копировании уведомления!",
      "Launch periodicity should be chosen!": "Необходимо выбрать периодичность запуска!",
      "notification_schedule": "Управление уведомлениями",
      "notification_types": "Типы уведомлений",
      "Allowed variables": "Допустимые переменные",
      "By email": "По электронной почте",
      "In app": "В веб приложении",
      "In mobile": "В мобильном приложении",
      "Lead doesn't exist": "Лида не существует",
      "Bulk creation": "Массовое создание",

      "Report": "Отчет",
      "Reports": "Отчеты",
      "reports": "Отчеты",
      "Reports Payport": "Отчеты Payport",
      "reports_payport": "Отчеты payport",
      "reports_gnu_vpn": "Отчеты gnu vpn",
      "Reports GNU VPN": "Отчеты GNU VPN",
      "Reports CRM": "Отчеты CRM",
      "Reports CRM_TS": "Отчеты CRM TS",
      "Reports on personnel": "Отчеты по персоналу",
      "Reports on activities": "Отчеты по активностям",
      "Reports on ticket invoices": "Претензионные отчеты",
      "Reports on ticket personnel": "Отчеты по сотрудникам",
      "reports_payport_sales": "Отчеты payport - продажи",
      "reports_crm_activities": "Отчеты crm - активности",
      "reports_crm_personnel": "Отчеты crm - персонал",
      "reports_crm_customer_support": "Отчеты crm - отдел сопровождения",
      "reports_crm_employee_grade": "Отчеты crm - оценка сотрудников",
      "reports_crm": "Отчеты crm",
      "reports_crm_ts_ticket_invoices_general": "Отчеты по претензиям",
      "reports_crm_ts_user_tickets_status": "Отчет по заявкам  - 1 линия",
      "reports_crm_ts_user_tickets_by_queue_status": "Отчет по заявкам",
      "reports_crm_ts_user_tickets": "Отчеты по сотрудникам",
      "reports_crm_ts_user_tickets_by_queue": "отчеты по сотрудникам",
      "reports_own": "отчеты (свои)",
      "settings": "Настройки",
      "references": "Справочники",
      "Sales reports": "Отчеты по продажам",
      "Maintenance reports": "Отчеты - сопровождение",
      "Profitability reports": "Отчеты - доходность",
      "Reports - 1 line": "Отчеты - 1 линия",
      "reports_payport_maintenance": "Отчеты payport - сопровождение",
      "reports_payport_profitability": "Отчеты payport - доходность",
      "reports_payport_1_line": "Отчеты payport - 1 линия",
      "Reports quantity": "Количество отчетов",
      "Auth log": "Логирование авторизации",
      "Auth date": "Дата авторизации",
      "IP": "IP",
      "Operating system": "Операционная система",
      "Period": "Период",
      "Manager activity": "Менеджерская активность",
      "Responsible user email": "Email ответственного",
      "Entity": "Сущность",
      "Log": "Лог",
      "Query": "Запрос",
      "Category": "Категория",
      "create": "создание",
      "update": "редактирование",
      "delete": "удаление",
      "show": "просмотр",
      "index": "список",
      "export": "экспорт",
      "import":"импорт",
      "sending": "отправка",
      "Contact Person": "Контакт",
      "Leads and clients without activity": "Лиды и клиенты без активности",
      "Leads' and clients' activity": "Активность лидов и клиентов",
      "Converted & cancelled leads": "Конвертированные и отменённые лиды",
      "Converted leads": "Конвертированные лиды",
      "Cancelled leads": "Отмененные лиды",
      "Leads by responsibles and products": "Лиды в разрезе ответственных и продуктов",
      "You must specify at least 1 contact": "Вы должны указать как минимум 1 контакт",
      "Last interaction date": "Дата последнего взаимодействия",
      "Added to blacklist": "Добавление в чёрный список",
      "Client name": "Наименование клиента",
      "Client email": "Email клиента",
      "Aggregator": "Агрегатор",
      "Aggregators": "Агрегаторы",
      "Aggregator email": "Email агрегатора",
      "Aggregator created at": "Дата создания агрегатора",
      "Merchant created at": "Дата создания мерчанта",
      "Holding": "Холдинг",
      "Holdings": "Холдинги",
      "Holding email": "Email холдинга",
      "Holding created at": "Дата создания холдинга",
      "Merchants entering prod": "Выход мерчантов в продуктив",
      "Merchants entering sand": "Выход мерчантов в песок",
      "Comment (reason for adding)": "Комментарий (причина добавления)",
      "prod": "прод",
      "Since creation in prod": "С даты выхода в прод",
      "Input currencies": "Валюты на ввод",
      "Output currencies": "Валюты на вывод",
      "Consolidated report": "Сводный отчет",
      "Month": "Месяц",
      "Show activity": "Показать активность",
      "Error on running the report!": "Ошибка при выполнении отчета!",
      "Merchants without transactions": "Мерчанты без транзакций",
      "Merchant sand name": "Мерчант песок наименование",
      "Merchant sand email": "Мерчант песок email",
      "Merchant prod name": "Мерчант прод наименование",
      "Merchant prod email": "Мерчант прод email",
      "Last transaction date (paid)": "Дата последней транзакции (paid)",
      "Average time to bargain": "Средний срок до успешных сделок",
      "Paid bargains amount": "Количество сделок в статусе paid",
      "Access to prod date": "Дата выдачи доступа в прод",
      "Access to sand date": "Дата выдачи доступа в песок",
      "Successful bargain date": "Дата успешной сделки",
      "Days till successful bargain": "Кол-во дней до успешной сделки",
      "Average time to {bargain_num} bargain": "Среднее время до {bargain_num} сделки",
      "Top service providers": "Топ сервис-провайдеров",
      "Top service providers (profitability)": "Топ сервис-провайдеров (доходность)",
      "Top merchants": "Топ мерчантов",
      "Top merchants (profitability)": "Топ мерчантов (доходность)",
      "Top currencies (profitability)": "Топ валют (доходность)",
      "Top merchants by intervals (profitability)": "Объемы мерчантов по интервалам (доходность)",
      "Merchant circulation amount timeline":"Сравнительные обороты по мерчантам",
      "Fiat circulation amount timeline":"Сравнительные обороты по валютам",
      "Step": "Шаг",
      "Day": "День",
      "Week": "Неделя",
      "Deal form": "Вид сделки",
      "Not fiat": "Не фиат",
      "Show fiat amount": "Показать фиатные суммы",
      "Deals count": "Кол-во сделок",
      "Deals sum": "Cумма сделок",
      "Payport profitability": "Доходность Payport",
      "All count": "Общее кол-во",
      "All sum": "Общая сумма",
      "All Payport profitability": "Общая доходность Payport",
      "Day of week": "День недели",
      "Day of month": "День месяца",
      "Fiat sum": "Сумма в фиате",
      "Lines per page": "Строк на странице",
      "Monday": "Понедельник",
      "Tuesday": "Вторник",
      "Wednesday": "Среда",
      "Thursday": "Четверг",
      "Friday": "Пятница",
      "Saturday": "Суббота",
      "Sunday": "Воскресенье",
      "January": "Январь",
      "February": "Февраль",
      "March": "Март",
      "April": "Апрель",
      "May": "Май",
      "June": "Июнь",
      "July": "Июль",
      "August": "Август",
      "September": "Сентябрь",
      "October": "Октябрь",
      "November": "Ноябрь",
      "December": "Декабрь",
      "Sales manager": "Менеджер по продажам",
      "Top currencies": "Топ валют",
      "Payment Invoices Count": "Кол-во инвойсов ввода",
      "Payment Invoices Sum": "Сумма инвойсов ввода",
      "Payment PayPort Profit": "Доходность PayPort ввод",
      "Withdrawal Invoices Count": "Кол-во инвойсов вывода",
      "Withdrawal Invoices Sum": "Сумма инвойсов вывода",
      "Withdrawal PayPort Profit": "Доходность PayPort вывод",
      "Payout Count": "Кол-во выплат",
      "Payout Sum": "Сумма выплат",
      "Payout PayPort Profit": "Доходность PayPort выплат",
      "All Invoices Count": "Общее кол-во инвойсов",
      "All Invoices Sum": "Общая сумма инвойсов",
      "All PayPort Profit": "Общая доходность PayPort",
      "Calendar tasks by managers": "Задачи из календаря в разрезе менеджеров",
      "Paid": "Оплачено",
      "Paid at": "Дата оплачено",
      "Created": "Создано",
      "Confirmed": "Подтверждено",
      "In process": "В процессе",
      "Trader accepted": "Принято трейдером",
      "User selected": "Выбрано пользователем",
      "Hold": "Заморожено",
      "Canceled by revert": "Отменено с откатом",
      "Canceled by timeout": "Отменено по таймауту",
      "Canceled": "Отменено",
      "EcomPayed": "Оплачено Ecom",
      "Merchant currency": "Мерчант валюты",
      "Payment": "Платёж",
      "Withdrawal": "Вывод",
      "Trader conversions": "Конверсии трейдеров",
      "Cancelled": "Отменено",
      "Conversion": "Конверсия",
      "Without cancel by timeout": "Без отмены по таймауту",
      "Conversion excluding cancel by timeout": "Конверсия без отмены по таймауту",
      "Currency merchant": "Валюта мерчанта",
      "Merchant recalculations": "Перерасчёты мерчантов",
      "Recalculations": "Перерасчёты",
      "Traders speed": "Скорость трейдеров",
      "Mean time, min": "Среднее время, мин",
      "Deals": "Сделки",
      "Normal": "Обычный",
      "Arbitrage": "Арбитраж",
      "sand": "песок",
      "Average time to prod after sand": "Средний срок перехода в продуктив после выхода в песочницу",
      "Average time to switch, days": "Среднее время перехода, дни",
      "Days till prod, days": "Кол-во дней до выхода в продуктив, дни",
      "Trader cancellations": "Отмены трейдеров",
      "Total deal count": "Общее кол-во сделок",
      "Count of completed deals": "Кол-во завершенных сделок",
      "Count of cancelled deals": "Кол-во отмененных сделок",
      "First cancelled, then completed": "Сначала отменено, затем завершено",
      "% from completed": "% от завершенного",
      "% from total": "% от общего",
      "Invoices distribution by time": "Распределение инвойсов по времени",
      "Invoices count": "Кол-во инвойсов",
      "% count": "% кол-ва",
      "In arbitrage": "В арбитраже",
      "Not in arbitrage": "Не в арбитраже",
      "Holding leads by participants": "Лиды - Холдинги в разрезе участников",
      "Holding clients by participants": "Клиенты - Холдинги в разрезе участников",
      "Leads by sales channels": "Лиды в разрезе каналов продаж",
      "Clients by sales channels": "Клиенты в разрезе каналов продаж",
      "Aggregator leads": "Лиды - Агрегаторы",
      "Aggregator clients": "Клиенты - Агрегаторы",
      "Participant name": "Наименование участника",
      "Participant email": "Email участника",
      "Lead email": "Email лида",
      "Lead created at": "Дата создания лида",
      "Client created at": "Дата создания клиента",
      "Participant URL": "URL участника",
      "Deactivated clients": "Деактивированные клиенты",
      "Merchants in status \"New\"": "Мерчанты в статусе \"Новый\"",
      "Customer support department": "Отдел сопровождения клиентов",
      "Customer support department activity": "Активность отдела сопровождения клиентов",

      "dateFrmt": "DD.MM.YYYY",  // for Litepicker option 'format'
      "timeFrmt": "HH:mm",  // for Litepicker option 'format'
      'Telegram': 'Телеграм',
      'Add Product': 'Добавить продукт',
      "Theme API 5": "Тема оформления API 5",
      'Product Type': 'Тип продукта',
      'Product Types': 'Типы продуктов',
      'Product Name': 'Наименование продукта',
      'Product status': 'Статус продукта',
      'Merchant status': 'Статус мерчанта',
      'Main info': 'Основная информация',
      'Balance': 'Баланс',
      'Transactions': 'Транзакции',
      'transactions': 'Транзакции',
      'Financial indicators': 'Финансовые показатели',
      'Choose invoice type': 'Выберите тип инвойса',
      'Choose withdrawal type': 'Выберите тип вывода',
      'Choose fiats': 'Выберите фиат',
      'Choose payment systems': 'Выберите платежные системы',
      'Choose service provider': 'Выберите сервис-провайдер',
      'From': 'От',
      'To': 'До',
      'Type': 'Тип',
      'Service provider': 'Сервис-провайдер',
      'Service provider profile': 'Профиль сервис-провайдера',
      'service_providers': 'Сервис-провайдеры',
      'trader_admins': 'Трейдер админы',
      'Input amount': 'Оборот на ввод',
      'Output amount': 'Оборот на вывод',
      'Search terms': 'Поиск',
      'Search fullname': 'Поиск по ФИО',
      'Invoice type': 'Тип инвойса',
      'Withdrawal type': 'Тип вывода',
      'Fiat': 'Фиат',
      'Payment systems': 'Платежные системы',
      'Payment system': 'Платежная система',
      'Payment system type': 'Тип платежной системы',
      'Total by Fiat': 'Всего по фиату',
      'Min': 'Мин',
      'Max': 'Макс',
      'Choose payment system type': 'Выберите тип платежной системы',
      'Choose specific fiat': 'Выберите один фиат',
      'Current available limits': 'Текущие доступные лимиты',
      'Input': 'Ввод',
      'Output': 'Вывод',
      'on input': 'на ввод',
      'on output': 'на вывод',
      'Direction': 'Направление',
      'Volume': 'Количество',
      'Amount': 'Сумма',
      'amount2pay': 'Сумма к выплате/к зачислению',
      'amount2grow': 'Комиссия PayPort',
      'PayPort commission': 'Комиссия PayPort',
      'amount2service': 'Сервисная комиссия',
      'amount2service_agents': 'Комиссия сервисных агентов',
      'Service agents commission': 'Комиссия сервисных агентов',
      'amount2agent': 'Комиссия агентов',
      'Agents commission': 'Комиссия агентов',
      'Trader': 'Трейдер',
      'Merchant': 'Мерчант',
      'api_type': 'Тип API',
      'fiat_currency': 'Валюта выплаты/зачисления',
      'fiat_amount': 'Сумма в фиате',
      'Fiat amount': 'Сумма в фиате',
      'Bank': 'Платежная система',
      'GROW commission': 'Комиссия GROW',
      'Service commission': 'Комиссия сервиса',
      'Edit permissions': 'Настройка доступов',
      'Clients': 'Клиенты',
      'Dashboard': 'Dashboard',
      'dashboard ': 'Дашборд',
      'Clients CRM': 'Клиенты CRM',
      'Payport commission': 'Комиссия Payport',
      'Choose option': 'Выберите из списка',
      'Receipt': 'Чек',
      'Invoice Data in table are in USDT': 'Данные в таблице представлены в USDT',
      'Merchant commissions': 'Комиссии мерчанта',
      'Api Type': 'Тип API',
      'Percent': 'Процент',
      'Fixed': 'Фиксирован',
      'Service providers': 'Сервис провайдеры',
      'Naming': 'Наименование',
      'Percent, %': 'Комиссия,%',
      'Percent sum, %': 'Сумма комиссии,%',
      'Operation type': 'Тип операции',
      'Buy': 'Покупка',
      'Sell': 'Продажа',
      'Sales': 'Продажи',
      'Your applications': 'Ваши приложения',
      'Currency': 'Валюта',
      'total': 'Total',
      'Payment Invoice': 'ввод',
      'Merchant Withdrawal': 'вывод',
      'receipt_No receipt': 'без чека',
      'receipt_Default': 'с чеком',
      'Revolver': 'Револьвер',
      'grow': 'payport',
      'Crypto Operations': 'Криптооперации',
      'Client sessions': 'Клиентские сессии',
      'Other': 'Прочее',
      'Settings': 'Настройки',
      'not found in CRM': 'не найден в CRM',
      'not found': 'Не найдено',
      'Users not found': 'Пользователей не найдено',
      'Merchant Agents': 'Агенты мерчанта',
      'Agents': 'Агенты',
      'Enable 2FA': 'Двухфакторная аутентификация',
      'Enable Crypto Withdrawal': 'Вывод криптовалюты',
      'Enable Recalculate': 'Разрешение перерасчета',
      'Crypto Withdrawal Min Amount': 'Минимальная сумма вывода криптовалюты',
      'Payouts Enabled': 'Выплаты включены',
      'Client Chat': 'Чат с клиентом',
      'Merchant\'s Client Chat': 'Чат с клиентом мерчанта',
      'Merchant Chat': 'Чат с мерчантом',
      'Available currency input': 'Доступная валюта на ввод',
      'Available currency output': 'Доступная валюта на вывод',
      'Agent Input': 'Агент ввод',
      'Agent Output': 'Агент вывод',
      'Cryptowithdrawal Agent': 'Агент криптовывод',
      'Payout Agent': 'Агент по выплатам',
      'Service Agent Input': 'Сервисный агент ввод',
      'Service Agent Output': 'Сервисный агент вывод',
      'Service Payout Agent': 'Сервисный агент по выплатам',
      'Crypto withdrawal commissions': 'Комиссия за вывод криптовалюты',
      'Min withdrawal amount': 'Минимальная сумма вывода',
      'Withdrawal history': 'История вывода',
      'Tariffs': 'Тарифы',
      'Invoices': 'Платежи',
      'Timezone': 'Таймзона',
      'Activated (LDAP)': 'Активный (LDAP)',
      'Blocked (Local)': 'Заблокирован (Local)',
      'Is deleted (API)': 'Аккаунт удалён (API)',
      'Email verified': 'Дата подтверждения',
      'Date updated': 'Дата обновления',
      'Last IP': 'Крайний IP',
      'User Agent Device': 'User Agent Device',
      'UTM': 'UTM',
      'Address': 'Адрес',
      'Amount to be received': 'Сумма к получению',
      'Merchants': 'Мерчанты',
      'Wallet': 'Кошелек',
      'Amount to agent': 'Комиссия агента',
      'Product ID': 'ID продукта',
      'Total agents amount': 'Итого комиссия агентов',
      'Products import': 'Импорт продуктов',
      'Import products': 'Импортировать продукты',
      'Unimported Agents': 'Неимпортированные агенты',
      'Unimported Merchants': 'Неимпортированные мерчанты',
      'Unimported GnuVPN Clients': 'Неимпортированные клиенты GnuVPN',
      'Import': 'Импортировать',
      'Import selected': 'Импортировать выбранные',
      'Do you really want to import records?': 'Вы действительно хотите произвести импорт?',
      'Confirm': 'Подтверждаю',
      'Choose client/create new': 'Выберите клиента/добавьте нового',
      'Password has been changed': 'Пароль был изменен',
      'Sign In': 'Авторизация',
      'Old password': 'Старый пароль',
      'New password': 'Новый пароль',
      'Restore password': 'Восстановление пароля',
      'Reset Password': 'Изменение пароля',
      'Restore': 'Восстановить',
      'Login': 'Войти',
      'Forgot Password ?': 'Забыли пароль?',
      'The password reset link has been sent to your email address':
        'Ссылка для восстановления пароля была отправлена на указанный email адрес',
      'The password has been changed. Please sign in with new password':
        'Пароль был изменен. Пожайлуйста войдите используя новый пароль',
      'The password has not been changed':
        'Пароль не был изменен',
      'Chat name': 'Название чата',
      'Output time': 'Время вывода',
      'Additional info': 'Дополнительная информация',
      'Commission information': 'Информация по комиссиям',

      'ID': 'ID',
      'Tariff': 'Тариф',
      'Manual': 'Создан вручную',
      'Provider': 'Провайдер',
      'Transaction ID': 'ID транзакции',

      '413 Request Entity Too Large': 'Настройки сервера не позволяют загрузить файл такого размера',
      'Unknown error': 'Неизвестная ошибка',
      'Server error': 'Ошибка сервера',
      'User': 'Пользователь',
      'Changed by whom': 'Кем изменено',
      'Section': 'Раздел',
      "Settings ": "Настройки",
      'Operation': 'Операция',
      'Operations': 'Операции',
      'Settings before changing': 'Настройки до изменения',
      'Settings after changing': 'Настройки после изменения',
      'access_settings': 'Настройки доступа',
      'products': 'Продукты',
      'countries': 'Страны',
      'departments': 'Отделы',
      'user_change_logs': 'Журнал изменений пользователей',
      'users': 'Пользователи',
      'contact_persons': 'Контакты',
      'leads': 'Лиды',
      'clients': 'Клиенты',
      'communications': 'Взаимодействия',
      'crypto_operations': 'Криптооперации',
      'ts_tickets': 'CRMTS: Система заявок',
      'ts_administration': 'CRMTS: Администрирование',
      'Roles': 'Роли',
      'roles': 'Роли',
      'Role name': 'Название роли',
      'Select role': 'Выберите роль',
      'Is active': 'Активен',
      'Active role': 'Активна',
      'Not active role': 'Не активна',
      'product_payport_agents': 'Платежка агент',
      'product_payport_merchants': 'Платежка мерчант',
      'bulk_task_sending': 'Массовая отправка задач',

      "You cannot transfer the current product to the selected status": "Вы не можете перевести текущий продукт на выбранный статус",

      //logs
      'Client log': 'Лог клиента',
      'Lead log': 'Лог лида',
      'Client product log': 'Лог продуктов клиента',
      'Client contact log': 'Лог контактов клиента',
      'Communication log': 'Лог взаимодействий клиента',
      'system': 'Система',
      'Contact persons log': 'Логи контакта',
      'Trader log': 'Лог трейдера',
      'Trader contact log': 'Лог контактов трейдера',
      'Trader communication log': 'Лог взаимодействий трейдера',
      //logs
      //traders
      'Trader profile': 'Профиль трейдера',
      'Input fiats': 'Валюта объявлений продажи',
      'Output fiats': 'Валюта объявлений покупки',
      'Adverts': 'Объявления',
      'Cash flow statement': 'Вводы/Выводы трейдеров',
      'Traders': 'Трейдеры',
      'Add new trader': 'Добавить трейдера',
      'Add trader': 'Добавление трейдера',
      'Edit trader': 'Изменение трейдера',
      'Ads hidden': 'Объявления скрыты',
      'Agent': 'Агент',
      'Environment': 'Среда',
      'New': 'Новый',
      'Sandbox': 'Песочница',
      'Production': 'Продуктив',
      'Language': 'Язык',
      // 'Russian': 'Русский',
      // 'English': 'Английский',
      'Production ID': 'ID продуктива',
      'OTRS': 'OTRS',
      "You need to select one or more options in the settings block": "Нужно выбрать одну или несколько опций в блоке настроек",
      "This service provider has no settings": "У этого сервис-провайдера нет настроек",
      'Trader info': 'Информация по трейдеру',
      'Trader name': 'Имя трейдера',
      'Trader email': 'Email трейдера',
      'Ad hidden': 'Видимость',
      'Cart number': 'Номер карты',
      'Company name': 'Название компании',
      'Payment recipes': 'Платежные реквизиты',
      'Payment owner fio': 'ФИО Владельца',
      'User fio': 'ФИО пользователя',
      'Max amount': 'Максимум',
      'Min amount': 'Минимум',
      "Deal ID": "ID сделки",
      "Invoice ID": "Инвойс",
      'Invoice': 'Инвойс',
      'Check': 'Чек',
      'Card number': 'Номер карты',
      "First paid at": "Оплата инвойса клиентом",
      'First paid time': 'Время до завершения',
      'Owner name': 'ФИО владельца',
      'Full name': 'ФИО',
      'Receipt received at': 'Прекрепление чека',
      'Trader reaction time': 'Время реакции трейдера',
      'Rate': 'Курс',
      'Service unavailable. Try again later or call support': 'Сервис недоступен. Попробуйте позже или обратитесь к администратору',
      //traders
      'Total amount': 'Общая сумма операций',
      'Sent files': 'Отправленные файлы',
      'Minimum created at': 'Дата первой операции',
      'Maximum created at': 'Дата последней операции',
      'Ticket state type': 'Статус',
      'Ticket name': 'Заголовок',
      'Ticket id': 'ID тикета',
      'Ticket number': 'Номер тикета',
      'Message': 'Сообщение',
      'First_created_at': 'Дата первой операции',
      'Last_created_at': 'Дата последней операции',
      'Input sum': 'Оборот на ввод',
      'Withdrawal sum': 'Оборот на вывод',
      'Cancellation reason': 'Причина отмены',

      'Employee grade': 'Оценка сотрудников',
      'Employee grade summary quarter': 'Сводная за месяц',
      'Employee grade summary month': 'Сводная за квартал',
      'Grade': 'Оценка',
      'Grade edit': 'Изменение оценки',
      'Grade date': 'Дата оценки',
      'Grade removed': 'Оценка была удалена',
      'Grade created': 'Новая оценка создана',
      'Grade updated': 'Оценка успешно обновлена',
      'Grade current': 'Текущая оценка',
      'Rebuke': 'Выговор',
      'Grade +1': 'Повысить оценку',
      'Grade -1': 'Понизить оценку',
      'Refresh': 'Сбросить',
      'Grade monthly report': 'Сводная за месяц',
      'Grade quarterly report': 'Сводная за квартал',
      'Quarter': 'Квартал',
      'Year': 'Год',
      'Grade :period report': 'Сводная за квартал',
      'The maximum number of characters': 'Максимальное количество символов',
      'Result': 'Итого',
      'Create ticket in CRMTS': 'Создать тикет в TS',
      'Recreate ticket in CRMTS': 'Создать тикет в TS',
      'Download': 'Скачать',
      'Download example': 'Скачать пример',
      'Show': 'Просмотр',
      'Back': 'Вернуться назад',
      'Apply': 'Применить',
      'Upload': 'Выгрузить',
      'List is empty': 'Список пуст',
      'Deferred export list is empty': 'Список отложенных выгрузок пуст',
      'Deferred export completed': 'Завершено',
      'Deferred export pending': 'Ожидает начала выгрузки',
      'Deferred export loading': 'Находится в обработке',
      'Deferred export failed': 'Не удалось завершить выгрузку',
      'Deferred export completed at': 'Время обработки',
      'Deferred export started': 'Задание на выгрузку добавлено для обработки',
      'Deferred export settings': 'Настройки отложенной выгрузки',
      'Deferred export decay days': 'Автоматическое удаление выгрузки старше (дней)',

      'Fiat rate': 'Курс сделки',
      'Loading a large file may take a long time': 'Загрузка большого файла может занять много времени',
      'To search by transactions, use the filter': 'Для поиска по транзакциям воспользуйтесь фильтром',

      'English': 'Английский язык',
      'Russian': 'Русский язык',
      'Pretension count': 'Количество претензий',
      'Select all': 'Выбрать все',
      'Export failed': 'Во время выгрузки произошла ошибка!',
      'Deferred exports': 'Отложенные выгрузки',
      'Unknown type': 'Неизвестный',
      'reports_crm_ts_ticket_invoices': 'Претензии',
      "reports_crm_ts": "Отчеты CRM TS",
      'Percent sum': 'Сумма процентов',
      'Commissions': 'Комиссии',
      'Fiat Commissions': 'Фиатные коммиссии',
      'Commission type': 'Тип комиссии',
      'Choose commission type':'Выберите тип комиссии',
      'paste': 'Вставить',
      'notifications.hide_self_notifications': 'Скрыть собственные уведомления',
      'User preferences': 'Настройки пользователя',
      'Setting': 'Настройка',
      'Merchant conversions': 'Конверсия мерчанта',
      'Conversion percent': 'Конверсия',
      'Conversion timeout': 'Конверсия по таймауту',
      'Only with tickets': 'Только с заявками',
      'Not provided': 'Не указан',
      'iframe content is hidden': 'Интерактивное содержимое скрыто',
      'Count percent by': 'Считать процент по',

      'Trader Admins': 'Трейдер админы',
      'Trader Admin name': 'Имя Трейдер админа',
      'Add trader admin': 'Добавить Трейдер админа',
      'Edit trader admin': 'Редактировать Трейдер админа',
      'Enable 2Fa': 'Включить 2Fa',
      'Team traders': 'Трейдеры в команде',
      'Trader admin name': 'Имя трейдер админа',
      'Trader admin email': 'Email трейдер админа',
      'Payport ID': 'ID в PayPort',
      'Report data are in payport timezone': 'Отчет работает по времени сервера Payport',

      'Report data are in CRM timezone': 'Работает по времени пользователя CRM',
      'dashboard_attach_role': 'Общие дашборды',
      'Attach role to dashboard': 'Общие дашборды',
      'Attach to role': 'Общие дашборды',
      'Personal dashboards': 'Личные дашборды',
      'Choose role': 'Выберите роль',
      'Choose dashboard': 'Выберите дашборд',
      'Add new dashboard': 'Добавить новый дашборд',
      'Manage dashboards': 'Настройка дашбордов',
      'Edit dashboard': 'Редактировать дашборд',
      'Add widget': 'Добавить виджет',
      'Widget Name': 'Название виджета',
      'Background color': 'Цвет фона',
      'Font color': 'Цвет шрифта',
      'Font size':'Размер шрифта',
      'Attach to dashboard': 'Прикрепить к дашборду',
      'Choose from available': 'Выберите из доступных',
      'Widget type': 'Тип виджета',
      'Personal': 'Личный',
      'Role library':'Ролевая библиотека',
      'Build widget based on data': 'Настройте виджет на основе данных по ',
      'link': 'ссылке',
      'Position changed. Save current view setting?': 'Позиция изменена. Желаете сохранить отображение?',
      'Add to favorites': 'Добавить в избранное',
      'Personal widgets': 'Личные виджеты',
      'Public widgets': 'Общие виджеты',
      'Edit widget': 'Редактировать виджет',
      'Data saved successfully!': 'Данные успешно сохранены!',
      'Merchant invoice description': 'Описание инвойса мерчанта',
      'USDT amount': 'Сумма в USDT',
      'Expired At': 'Время до истечения',
      'minutes': 'минут',
      'Local methods': 'Локальные методы',
      'Client\'s attributes': 'Атрибуты клиента',
      'Merchant customer id': 'Номер клиента у Мерчанта',

      'Transaction detail': 'Данные о транзакции',
      'Transaction information': 'Информация о транзакции',
      'Invoice history': 'История инвойса',
      'Deal history': 'История сделки',
      'Invoice Information':'Информация об инвойсе',
      'ID Invoice': 'ID инвойса',
      'Deal type': 'Вид сделки',
      'Expired at': 'Время до истечения',
      'Api type': 'Версия API',
      'Fiat currency': 'Валюта фиата',
      'Paid amount': 'Сумма оплаты',
      'Pay currency':'Валюта оплаты',
      'Input rate': 'Базовый курс',
      'Client expense': 'Комиссия Клиента',
      'Merchant expense': 'Комиссия мерчанта',
      'Merchant client attributes': 'Платежные атрибуты',
      'Deal information': 'Информация о сделке',
      'Ad': 'Объявление',
      'Manual history': 'История ручных записей',
      'of deal history': 'истории сделки',
      'Deal status': 'Статус сделки',
      'Customer': 'Пользователь',
      'Customer type': 'Тип пользователя',
      'of invoice history': 'истории инвойса',
      'source_request': 'Создал запрос',
      'source_response': 'Принял запрос',
      'Request text': 'Текст запроса',
      'Ad id': 'ID объявления',
      'Ad rate': 'Курс объявления',
      'Trader\'s payment details number': 'Номер платежного реквизита трейдера',
      'The name of the trader\'s account holder at the time the trade was made': 'Имя владельца счета трейдера на момент совершения сделки',
      'AD Min amount': 'Мин сумма',
      'AD Max amount': 'Макс сумма',
      'Trader agreements': 'Договоренности с трейдером',
      'Input Request': 'Запрос на создание инвойса',
      'Client Cancellation Reasons':'Отмена клиентом',
      'Client cancellation reason': 'Причина отмены клиентом',
      'Client comment': 'Комментарий от клиента',
      'Client contacts': 'Контакты от клиента',
      'File from client': 'Файл от клиента',
      'Payment Attributes': 'Платежные атрибуты',
      'Merchant communication channel': 'Канал коммуникации с мерчантом',
      'Merchant order ID': 'Order ID мерчанта',
      'Merchant order description': 'Примечание мерчанта к инвойсу',
      'Merchant agreements':'Договоренности с мерчантом',
      'Amount to pay': 'Сумма к оплате',
      'Received amount': 'Полученная сумма',
      'Awaiting Paid At': 'Время ожидания оплаты',
      'Paid Amount': 'Оплаченная сумма',
      'Base rate': 'Опорный курс',
      'SP status': 'Статус у СП',
      'Payment attributes': 'Платежные аттрибуты',
      'Deal created at': 'Время создания сделки',
      'Deal rate': 'Курс сделки',
      'Receiver requisite': 'Платёжный реквизит получателя',
      'Receiver fullname': 'ФИО получателя',
      'Deal Created At': 'Время создания Сделки',
      'Deal life time': 'Время жизни Сделки',
      'Deal confirmed by client at': 'Время подтверждения оплаты Клиентом',
      'Deal closed by trader at': 'Время завершения Сделки трейдером',
      'Financial info': 'Финансовая информация',
      'Agent commissions': 'Комиссии агентов',
      'usdt_amount2grow': 'Комиссия PayPort',
      'usdt_amount2service': 'Сервисная комиссия',
      'usdt_amount2service_agents': 'Сумма комиссии Сервисным агентам',
      'usdt_amount2agent': 'Сумма комиссий агентам',
      'usdt_amount2trader': 'Комиссия трейдера',
      'usdt_amount2markup_payport': 'Маркап комиссия PayPort',
      'usdt_amount2markup_agents': 'Комиссия маркап агентов',
      'SUM usdt_amount2markup_agents': 'Сумма комиссии маркап агентам',
      'transactions_totals': 'Просмотр тоталов',
      'transactions_financial_data': 'Блок "Финансовая информация"',
      'trader_financial_indicators': 'Финансовые показатели',
      'trader_transactions': 'Транзакции',
      'trader_inputs': 'Вводы/выводы трейдеров',
      'trader_attachments': 'Вложения',
      'service_provider_financial_indicators': 'Финансовые показатели',
      'service_provider_transactions': 'Транзакции',
      'service_provider_inputs': 'Вводы/выводы',
      'service_provider_attachments': 'Вложения',
      'agent_withdrawal_history': 'История вывода',
      'agent_transactions': 'Транзакции',
      'agent_attachments': 'Вложения',
      'client_attachments': 'Вложения',
      'merchant_financial_indicators': 'Финансовые показатели',
      'merchant_transactions': 'Транзакции',
      'merchant_commissions': 'Комиссии мерчанта',
      'INN': 'ИНН',
      'inn': 'ИНН',
      'KPP': 'КПП',
      'kpp': 'КПП',
      'Organization type': "Форма организации",
      'client_type_id': "Форма организации",
      'Choose organisation form': 'Выберите форму организации',
      'Enter inn': 'Введите ИНН',
      'Enter kpp': 'Введите КПП',
      'Enter address': 'Введите адрес',
      'Enter telegram': 'Введите telegram',
      'Without type': 'Без типа',
      'Such a lead already exists.': 'Лид с таким именем уже существует',
      'client_documents': 'Вложения',
      'trader_documents': 'Вложения',
      'service_provider_documents': 'Вложения',

      'Short name': 'Краткое наименование',
      'Product assignments dict': 'Назначения',
      'Add New Assignment': 'Добавить новое назначение',
      'Do you really want to toggle status for these record? This process cannot be undone.': 'Вы действительно хотите переключить статус для этой записи? Этот процесс не может быть отменен.',
      'Toggle Status': 'Сменить статус',
      'Edit Assignment': 'Редактировать назначение',
      'Show Assignment': 'Просмотр назначения',
      'Product assignment': 'Назначение',
      'Change assignment': 'Назначить',
      'Work environment': 'Рабочая среда',
      'Without assignation': 'Без назначения',

      'Do a sync': 'Выполнить синхронизацию',
      'Job in progress': 'Задача выполняется',
      'Synchronize payport status for agents and merchants': 'Синхронизация статусов PayPort для мерчантов и агентов',
      "Service provider groups": "Группы сервис провайдеров",

      "Is casino scheme": "Схема Казино",
      "Is moneybox": "Копилка",
      "Blocked customer": "Заблокирован",
      "Invoice rate": "Курс инвойса",
      dashboard: {
        'My Tickets': 'Мои заявки',
        'SLA Expired': 'SLA просрочен',
      },

      coefficientss: {
        'List': 'Список коэффициентов',
        'Add new coefficient': 'Новый коэффициент',
        'Create': 'Создание коэффициента',
        'Edit': 'Редактирование коэффициента',
        'Status': 'Статус',
        'Deleted': 'Удалён',
        'Active': 'Активен',
        'Coefficient': 'Коэффициент',
        'coefficient': 'коэффициент',
        'Color': 'Цвет',
        'Set color': 'Сменить цвет',
        'Reset color': 'Сбросить',
      },

      criticalitys: {
        'List': 'Список коэффициентов критичности',
        'Add new': 'Новый коэффициент',
        'Create': 'Создание коэффициента критичности',
        'Edit': 'Редактирование коэффициента критичности',
        'Status': 'Статус',
        'Deleted': 'Удалён',
        'Active': 'Активен',
        'Coefficient': 'Коэффициент',
        'Name': 'Наименование',
      },

      favorite: {
        'Search Field': 'Поиск (ID сущности)',
        'Type': 'Тип',
        'Entity Type': 'Сущность',
        'Type Favorite': 'Избранное',
        'Type Review': 'Ревью',
        'Add to favorite': 'Добавить в избранное',
        'Add to review': 'На ревью',
        'Remove from favorite': 'Убрать из избранного',
        'Remove from review': 'Убрать ревью',
        'Added at': 'дата добавления',
        entity_type: {
          "App\\Models\\TicketSystem\\Ticket": 'Заявка',
          "App\\Models\\Client": 'Клиент',
          "App\\Models\\Lead": 'Лид',
        },
        type: {
          1: 'Избранное',
          2: 'Ревью',
        },
      },

      reminders: {
        'Reminder': 'Напоминание',
        'Reminders': 'Напоминания',
        'Reminders nearest': 'Ближайшие напоминания',
        'New reminder saved': 'Создано новое напоминание',
        'New reminder failed': 'Не удалось создать напоминание',
        'New reminder can not be in past': 'Невозможно создать напоминание. Указаны неверные дата или время.',
        'Reminder removed': 'Напоминание удалено',
        'Add remind': 'Добавить напоминание',
      },

      datepicker: {
        confirm: 'OK',
        cancel: 'Выход',
      },

      ts: {
        'Ticket System': 'Система заявок',
        'Administration': 'Администрирование',
        'Tickets': 'Заявки',
        'Ticket': 'Заявка',
        'New ticket': 'Новая заявка',
        'Copied': 'Скопировано',
        'Copy the link': 'Копировать ссылку',
        'Queues': 'Очереди',
        'Ticket Types': 'Типы заявок',
        'Priorities': 'Приоритеты',
        'Topics': 'Тематики',
        'SLA': 'SLA',
        'Settings': 'Настройки',
        'Queue Roles': 'Доступы',
        'Ticket Templates': 'Шаблоны заявок',
        'Dynamic Fields': 'Динамические поля',
        'created_at': 'Создано',
        'updated_at': 'Изменено',
        'Created by': 'Кто создал',
        'Created at': 'Когда создал',
        'closed_at': 'Закрыто',
        'Create Date': 'Дата создания',
        'Update Date': 'Дата изменения',
        'Creator': 'Кто создал',
        'Empty option': 'Не выбрано',
        'Add': 'Добавить',
        'To': 'до',
        'Status all': 'Все',
        'Status active': 'Активные',
        'Status inactive': 'Неактивные',
        'Filter settings': 'Настройки фильтров',
        'To continue, pls select a role': 'Для продолжения, выберите роль',
        'Page settings': 'Настройка страницы',
        'Filter preset by roles': 'Пресет фильтров по ролям',
        'Filter presets not found': 'Доступных пресетов не найдено',
        'Filter preset for selected role is exists': 'Пресет с таким наименованием для выбранной роли уже существует',
        'Filter presets': 'Доступные пресеты',
        'Filter presets deleted': 'Пресет был удален',
        'Do your really want to delete selected preset ?': 'Вы действительно хотите удалить выбранный пресет ?',
        'Default settings': 'По умолчанию',
        'Settings for page are saved': 'Настройки для текущей страницы сохранены.',
        'Table settings': 'Настройки листинга',
        "Enter a name": "Введите название",
        "Tickets autofill": "Автозаполнение заявки",
        "Autofill create": "Создание автозаполнения заявки",
        "Autofill edit": "Редактирование автозаполнения заявки",
        "Autofill subtickets": "Настройка подзадач",
        "Number of days to execution date": "Количество дней до даты ожидания подзадачи с момента создания родительской заявки",
        "Subtickets amount": "Количество подзадач",
        "Is inherit": "наследуется",
        "For the completed type of interaction": "Для заполненного типа взаимодействия",
        "All roles has filled template": "Автозаполнение недоступно. Шаблоны созданы для всех ролей.",
        "Tickets autofill not found": "Доступных настроек для автозаполнения не найдено.",
        "Add tickets autofill": "Добавить автозаполнение",
        "Do you really want to delete autofill template ?": "Вы действительно хотите удалить выбранный шаблон для автозаполнения заявки ?",
        "Autofill ticket by interaction type": "Автозаполнение заявки по типу взаимодействия",
        "Autofill ticket by product assignment": "Автозаполнение заявки по назначению",
        "For the completed type of product assignment": "Для заполненого назначения продукта",

        tickets: {
          'List': 'Список заявок',
          'Number Parent': 'Номер родителя',
          'Number Children': 'Номер подзадачи',
          'Parent Ticket': 'Родительская заявка',
          'Add new ticket': 'Создать заявку',
          'Create': 'Создание заявки',
          'Number': 'Номер',
          'Ticket': 'Заявка',
          'Ticket Type': 'Тип заявки',
          'Time SLA': 'SLA',
          'Time ETA': 'Оставшееся время',
          'Date ETA': 'ETA',
          'Time Elapsed': 'Возраст заявки',
          'Create Date': 'Дата создания',
          'Close Date': 'Дата закрытия',
          'Customer Type': 'Категория клиентов',
          'Author': 'Автор',
          'Customer': 'Клиент',
          'Customer Name': 'Имя',
          'Customer Email': 'Email',
          'Customer Tickets': 'Открытые заявки',
          'Dynamic Fields': 'Динамические поля',
          'Dynamic Field Type': 'Тип',
          'Dynamic Field Value': 'Значение',
          'Queue': 'Очередь',
          'Topic': 'Тематика',
          'Priority': 'Приоритет',
          'Criticality': 'Критичность',
          'Apply Template': 'Применить шаблон',
          'SLA': 'SLA',
          'SLA Expired': 'SLA просрочен',
          'My watchings': 'Отслеживаемые заявки',
          'Make Private': 'Сделать заявку видимой только для участников (автор/исполнитель/наблюдатели)',
          'Make Public': 'Снять конфиденциальность',
          'Private': 'Конфиденциальность',
          'Private Text': 'Заявка видна только участникам (автор/исполнитель/наблюдатели)',
          'VTC': 'ВЗВК',
          'Visible to client': 'Видимость заявки клиенту',
          'Disallow Reopen': 'Запрет переоткрытия заявки',
          'Allow Reopen': 'Разрешить переоткрывать заявку',
          'OTRS': 'Ссылка в OTRS',
          'Files': 'Прикреплённые файлы',
          'Comments': 'Комментарии',
          'Last comments': 'Последние комментарии',
          'Actions': 'Действия',
          'Mass Actions': 'Массовые действия',
          'Executor': 'Исполнитель',
          'Status': 'Статус',
          'Ticket status': 'Статус заявки',
          'Subject': 'Тема (очередь + тематика)',
          'Theme': 'Тема (пользователь)',
          'Text': 'Описание',
          'Source': 'Канал поступления',
          'Owner': 'Владелец',
          'Without owners': 'Без владельцев',
          'Ticket Text': 'Текст заявки',
          'Interaction Type': 'Тип взаимодействия',
          'Call': 'Звонок',
          'Meeting': 'Встреча',
          'History': 'История',
          'Choose tickets': 'Выбрать заявки',
          'Choose ticket type': 'Выбрать тип заявки',
          'Choose parent ticket': 'Выбрать родительскую заявку',
          'Choose customer type': 'Выбрать тип клиента',
          'Choose customer': 'Выбрать клиента',
          'Choose executor': 'Назначить исполнителя',
          'Choose queue': 'Выберите очередь',
          'Choose criticality': 'Выберите критичность',
          'Choose priority': 'Выберите приоритет',
          'Choose topic': 'Выберите тематику',
          'Choose dynamic field type': 'Выберите тип поля',
          'Choose TS participants': 'Выберите участников TS',
          'Date': 'Дата',
          'Time': 'Время',
          'Add dynamic field': 'Добавить поле',
          'Enter subject': 'Тема',
          'Enter text': 'Описание',
          'Back': 'Вернуться назад',
          'error': 'Возникла ошибка!',
          'Subticket': 'Подзадача',
          'linked ticket ID': 'ID',
          'linked ticket name': 'Связанная заявка',
          'linked ticket Status': 'Статус',
          'linked ticket Comment': 'Комментарий',
          'linked ticket Date created': 'Дата создания',
          'Success update queue': 'Заявка успешно перенесена в очередь!',
          'Error update queue': 'Ошибка при переносе заявки в очередь!',
          'Success update priority': 'Приоритет успешно изменён!',
          'Success update topic': 'Тематика успешно изменена!',
          'Success update type': 'Тип успешно изменен!',
          'Error update priority': 'Ошибка при смене приоритета!',
          'Error update topic': 'Ошибка при смене тематики!',
          'Error update type': 'Ошибка при смене типа!',
          'Success update executor': 'Заявка назначена на другого исполнителя!',
          'Error update executor': 'Ошибка при смене исполнителя!',
          'Success update status': 'Статус успешно изменился!',
          'Error update status': 'Ошибка при изменении статуса!',
          'Success update link to ticket': 'Создана связь с заявкой!',
          'Error update link to ticket': 'Ошибка при привязке задач!',
          'Search by text': 'По тексту',
          'Favorite Type': 'Тип избранного',
          'View more': 'Показать больше',
          'Set date delayed to': 'Отложить до',
          'Date delayed to': 'Отложен до',
          'Enter comment': 'Комментарий',
          'Comment visible': 'Комментарий виден внешнему клиенту',
          'Ticket comment bind crm comment': 'Добавить комментарий в профиль Клиента',
          'Comment already bind': 'Комментарий уже добавлен в профиль Клиента',
          'Do you really want to send a comment to the client ?': 'Вы действительно хотите добавить комментарий в профиль Клиента ?',
          'The comment has been sent': 'Комментарий направлен',
          'Error when sending a comment': 'Ошибка при отправке комментария',
          'Comment not visible': 'Комментарий не виден внешнему клиенту',
          'Add recipient': 'Добавить получателя',
          'Respond to email': 'Отправить ответ на почту',
          'Send from': 'От',
          'Send to': 'Кому',
          'Sent mail from': 'отправлено {recipient_email} от {sender_email}',
          'Sent mail from error': 'ошибка отправки {recipient_email}',
          'Repeat send email': 'Повторить отправку',
          'Choose sender': 'Выбрать отправителя',
          'Choose recipient': 'Выбрать получателя',
          'Enter recipient': 'Ввести вручную',
          'Change priority': 'Изменить приоритет',
          'Change topic': 'Изменить тематику',
          'Change type': 'Изменить тип',
          'Change interaction type': 'Изменить тип взаимодействия',
          'Create subticket': 'Создать подзадачу',
          'Move to another queue': 'Переместить в другую очередь',
          'Assign to other executor': 'Назначить исполнителя',
          'Link to tickets': 'Связать с заявками',
          'Type invoice id': 'Введите номер инвойса',
          'Type payment id': 'Введите номер сделки',
          'Invoice ID': 'Номер инвойса',
          'Ticket invoice ID': 'Номер претензии',
          'Payment ID': 'Номер сделки',
          'Payment/Invoice created at': 'Дата инвойса/сделки',
          'Fiat amount': 'Сумма (фиат)',
          'Fiat currency': 'Фиат',
          'Claimant name': 'Имя истца',
          'Claimant email': 'Email истца',
          'Client category': 'Категория клиентов',
          'Defendant name': 'Имя ответчика',
          'Defendant email': 'Email ответчика',
          'Request information': 'Запросить информацию',
          'Name': 'Наименование',
          'Invoices/payments': 'Инвойсы/сделки',
          'Invoices/payments list': 'Список инвойсов',
          'Add invoice/payment': 'Добавить инвойс/сделку',
          'Transaction with current id is already binded': 'Инвойс уже прикреплен.',
          'Invoice removed': 'Инвойс откреплен',
          'Invoice saved': 'Инвойс прикреплен',
          'Claimant': 'Истец',
          'Defendant': 'Ответчик',
          'Ticket invoices not found': 'У текущей заявки инвойсов не найдено...',
          'Invoices not found': 'Инвойсов с указанным номером не найдено...',
          'Imported invoices not found': 'Инвойсы не найдены',
          'Imported payments not found': 'Сделки не найдены',
          'Imported incorrect invoices': 'Некорректные идентификаторы инвойсов',
          'Imported incorrect payments': 'Некорректные идентификаторы сделок',
          'Empty import': 'Файл не содержит инвойсов для импорта',
          'Payments not found': 'Сделок с указанным номером не найдено...',
          'Do you really want to add a new invoice to the current ticket ?': 'Вы действительно хотите добавить новый инвойс к текущей заявке ?',
          'Do you really want to delete invoice from the current ticket ?': 'Вы действительно хотите открепить инвойс от текущей заявки ?',
          'input': 'Ввод',
          'withdrawal': 'Вывод',
          'Trader': 'Трейдер',
          'Service provider': 'Сервис провайдер',
          'Merchant': 'Мерчант',
          'Export failed': 'Во время выгрузки произошла ошибка!',
          'To close the ticket, you must fill out all compensation': 'Для закрытия заявки необходимо заполнить компенсации по всем инвойсам',
          'Compensations': 'Компенсации',
          'Without compensation': 'Нет компенсаций',
          'Participant is not found. Request canceled.': 'Один из участников не найден. Запрос отменен.',
          'Ticket invoice was not created': 'Не удалось прикрепить инвойс к текущей заявке.',
          'Ticket invoice import': 'Импорт инвойса/сделки',
          'Ticket invoice import result': 'Результаты выгрузки',
          'Ticket invoice import success': 'Могут быть привязаны к заявке',
          'Choose import type': 'Выберите тип импорта',
          'File content example': 'Пример содержимого файла',
          'Pending for load': 'Ожидает загрузки',
          'Success to load': 'Готов к выгрузке',
          'Load in process': 'Загружает',
          'Loaded': 'Выгружен',
          'Download': 'Загрузить',
          'Invoice created at': 'Дата инвойса',
          'Ticket invoice created at': 'Дата претензии',
          'Ticket invoice status': 'Статус претензии',
          'Claimant categories': 'Категории истца',
          'Defendant categories': 'Категории ответчика',
          'Compensation categories': 'Компенсирующая сторона',
          'Compensation name': 'Имя компенсирующего',
          'Compensation side': 'Компенсирующая сторона',
          'Close comment': 'Комментарий при закрытии',
          'Execution Date': 'Дата ожидания',
          'Period To': 'Дата окончания уведомления',
          'Notify Period': 'Периодичность уведомлений',
          'until': 'до',
          notify_period: {
            1: 'каждый день',
            2: 'каждую неделю',
            3: 'каждый месяц',
          },
          'Update Date': 'Дата изменения',
          'Favorite': 'Избранное',
          'Columns available for display' : 'Колонки, доступные для отображения',
          'Displayed columns' : 'Отображаемые колонки',
          'Drop here' : 'Начните перемещение отсюда',
          'The display is hidden by the page settings': 'Отображение скрыто настройкам страницы.',
          'Choose type': 'Выберите тип',
          'Choose interaction type': 'Выберите тип взаимодействия',
          'Bind invoices will be removed': 'При смене типа, инвойсы из данной заявки будут удалены',
          'required_date_period_to': 'Поле обязательно для заполнения',
          "Preview": "Предпросмотр",
          "Desc": 'По убыванию',
          "Asc": "По возрастанию",
          "No more than 400 characters": "Не более 400 символов",
          "Ticket link": "Ссылка на заявку",
          "Change status": "Изменить статус",
          statuses: {
            1: 'К исполнению',
            2: 'В работе',
            3: 'Завершена',
            4: 'Отменена',
            5: 'Отложена',
          },
          statuses_change: {
            1: 'Вернуть к исполнению',
            2: 'Взять в работу',
            3: 'Закрыть заявку',
            4: 'Отменить заявку',
            5: 'Отложить заявку',
          },
          interaction_types: {
            1: 'Звонок',
            2: 'Встреча',
            3: 'Переписка',
            4: 'Новое Гео',
            5: 'Флоу',
            6: 'Консультация',
            7: 'Активация',
            8: 'Деактивация',
            9: 'Заполнено',
          },
          source_names: {
            1: 'CRM',
            2: 'email',
            3: 'PayPort MH',
            4: 'GnuVPN',
            5: 'BitcoinOX',
            6: 'CoinChange',
            7: 'OTRS',
            8: 'PayPort LK',
          },
        },
        queues: {
          'List': 'Список очередей',
          'Parent Queue': 'Родительская очередь',
          'Owner': 'Владелец',
          'Queue owner': 'Владелец очереди',
          'Move Queues': 'Очереди для перемещения',
          'Queue Executors': 'Исполнители',
          'Queue Executors (Departments)': 'Исполнители (отделы)',
          'Topics-Priority': 'Тематики по приоритетам',
          'Topic': 'Тематика',
          'Priority': 'Приоритет',
          'Name': 'Название',
          'Slug': 'Название (alias/slug)',
          'Status': 'Статус',
          'Active': 'Активна',
          'Inactive': 'Неактивна',
          'Auto Close Tickets': 'Автоматическое закрытие заявок',
          'Close Tickets After': 'Время закрытия заявок',
          'Add new queue': 'Создать очередь',
          'Create': 'Создание очереди',
          'Edit': 'Редактирование очереди',
          'Enter name': 'Введите название',
          'Choose queue': 'Выберите очередь',
          'Choose topic': 'Выберите тематику',
          'Choose executors': 'Назначить исполнителей',
          'Select executors': 'Выберите исполнителей',
          'Choose owner': 'Назначить владельца',
          'Choose move queues': 'Выбрать очереди',
          'min': 'мин.',
        },
        ticket_types: {
          'List': 'Список типов заявок',
          'Name': 'Название',
          'Slug': 'Название (alias/slug)',
          'Status': 'Статус',
          'Active': 'Активный',
          'Inactive': 'Неактивный',
          'Add new ticket type': 'Создать тип заявки',
          'Create': 'Создание типа заявки',
          'Edit': 'Редактирование типа заявки',
          'Enter name': 'Введите название',
        },
        priorities: {
          'List': 'Список приоритетов',
          'Name': 'Название',
          'Slug': 'Название (alias/slug)',
          'Order': 'Порядок сортировки',
          'Color': 'Цвет',
          'Status': 'Статус',
          'Active': 'Активный',
          'Inactive': 'Неактивный',
          'Add new priority': 'Создать приоритет',
          'Create': 'Создание приоритета',
          'Edit': 'Редактирование приоритета',
          'Enter name': 'Введите название',
        },
        topics: {
          'List': 'Список тематик',
          'Name': 'Название',
          'Slug': 'Название (alias/slug)',
          'SLA': 'SLA',
          'Status': 'Статус',
          'Active': 'Активна',
          'Inactive': 'Неактивна',
          'Add new topic': 'Создать тематику',
          'Create': 'Создание тематики',
          'Edit': 'Редактирование тематики',
          'Enter name': 'Введите название',
          'Choose SLA': 'Выберите SLA',
          'Save topic': 'Сохранить тематику',
        },
        sla: {
          'List': 'Список SLA',
          'Name': 'Название',
          'Description': 'Описание',
          'Duration': 'Общее время эскалации',
          'Status': 'Статус',
          'Active': 'Активна',
          'Inactive': 'Неактивна',
          'Add new sla': 'Создать SLA',
          'Create': 'Создание SLA',
          'Edit': 'Редактирование SLA',
          'Enter name': 'Введите название',
          'Enter description': 'Введите описание',
          'Escalation': 'Эскалация',
          'Add escalation': 'Добавить',
          'Escalation value': 'Значение',
          'Escalation value hint': 'от 1 до 99',
          'min': 'мин.',
          'Users': 'Сотрудники',
          'Departments': 'Отделы',
          'Owner': 'Владелец',
          'Executor': 'Исполнитель',
          'Time': 'Время',
          'Notifications': 'Уведомления',
          'Save SLA': 'Сохранить SLA',
          'Expired': 'SLA просрочен',
        },
        queue_role_permissions: {
          'List': 'Настройка доступов к очередям',
          'Choose role': 'Выберите роль',
        },
        dynamic_fields: {
          'List': 'Список динамических полей',
          'Name': 'Название',
          'Slug': 'Название (alias/slug)',
          'Type': 'Тип',
          'Default Value': 'Значение по умолчанию',
          'Link': 'Ссылка',
          'Link Hint': 'для подстановки значения используйте',
          'Status': 'Статус',
          'Active': 'Активный',
          'Inactive': 'Неактивный',
          'Add new': 'Создать динамическое поле',
          'Create': 'Создание динамического поля',
          'Edit': 'Редактирование динамического поля',
          'Enter name': 'Введите название',
          types: {
            1: 'Текст',
          },
        },
        ticket_templates: {
          'List': 'Список шаблонов',
          'Name': 'Название',
          'Text': 'Текст шаблона',
          'Type': 'Тип',
          'Mail Account Income': 'Входящий ящик',
          'Mail Account Reply From': 'Автоответ от',
          'Status': 'Статус',
          'Active': 'Активный',
          'Inactive': 'Неактивный',
          'Add new': 'Создать шаблон',
          'Create': 'Создание шаблона',
          'Edit': 'Редактирование шаблона',
          'Enter name': 'Введите название',
          'Choose mail account': 'Выберите почтовый ящик',
          types: {
            1: 'Шаблон автоответа',
            2: 'Шаблон ответа',
            3: 'Шаблон заявки',
          },
        },
        ticket_watchers: {
          'Watchers': 'Наблюдатели',
          'Watch': 'Отслеживать',
          'Stop Watch': 'Не отслеживать',
          'Add watchers': 'Добавить наблюдателей',
        },
        mail_accounts: {
          'List': 'Список почтовых адресов',
          'Add new account': 'Создать почтовый адрес',
          'Create': 'Создание почтового адреса',
          'Edit': 'Редактирование почтового адреса',
          'Active': 'Активен',
          'Inactive': 'Неактивен',
          'Choose type': 'Выберите тип протокола',
          'Enter login': 'Введите логин',
          'Enter password': 'Введите пароль',
          'Enter host': 'Введите название сервера',
          'Type': 'Тип протокола',
          'Name': 'Название',
          'Login': 'Логин',
          'Password': 'Пароль',
          'Host': 'Сервер',
          'Port': 'Порт',
          'Folder': 'Папка',
          'Use_ssl': 'Использовать SSL',
          'Queue': 'Очередь',
          'Topic': 'Тематика',
          'Status': 'Статус',
          'Count messages': 'Проверка',
          'Run manual parsing': 'Загрузка',
          'Parse inbox interval': 'Интервал времени для сбора писем (мин.)',
        },
        settings: {
          'Main': 'Общие',
          'Mail Income': 'Почта (входящая)',
          'Mail Outcome': 'Почта (исходящая)',
          'API Clients': 'Клиенты API',
        },
        reports: {
          'Employee full name': 'ФИО Сотрудника',
          'Count of tickets in processing': 'Кол-во "В работе"',
          'Count of tickets comments': 'Кол-во комментариев',
          'Count of tickets in delayed': 'Кол-во "Отложена"',
          'Count of tickets in closed': 'Кол-во "Завершена"',
          'Count of moved queue': 'Кол-во переданных в другую очередь',
          'Ticket created at': 'Дата создания',
          'Ticket closed at': 'Дата завершения',
          'Ticket moved at': 'Дата перемещения',
          'Ticket commented at': 'Дата комментария',
          'Queue moved at': 'Дата перемещения',
          'Total': 'Всего',
        },
        clients_api: {
          'List': 'Список клиентов API',
          'Add new client': 'Создать клиента',
          'Create': 'Создание клиента',
          'Edit': 'Редактирование клиента',
          'Active': 'Активен',
          'Inactive': 'Неактивен',
          'Source': 'Канал поступления',
          'Customer Types': 'Категории клиентов для callback',
          'Name': 'Наименование клиента',
          'Login': 'Логин',
          'Password': 'Пароль',
          'External Source': 'Ресурс для callback',
          'Enter login': 'Введите логин',
          'Enter password': 'Введите пароль',
          'Enter external source': 'Введите URL для callback',
        },
      },
      tags_pkg: {
        categories: {
          1: 'Сервис провайдеры',
          2: 'Лиды',
          3: 'Клиенты',
          4: 'Трейдеры',
          5: 'Комментарии',
          6: 'Заявки',
          7: 'Раздел',
          8: 'Комментарии к разделу',
          9: 'Описание раздела',
          10: 'Курсы',
          11: 'Тесты',
        },
        messages: {
          'Failed to attach the tags': 'Не удалось привязать теги',
          'Failed to sync the tags': 'Не удалось синхронизировать теги',
        },
        alert: {
          'Tags not found': 'Тегов не найдено',
        },
      },
    },
    en: {
      'Payment Invoice': 'Input',
      'Merchant Withdrawal': 'Output',
      'receipt_No receipt': 'No receipt',
      'receipt_Default': 'With receipt',
      'Status active': 'Active',
      'Status not active': 'Inactive',
    }
  }
});

export {i18n};
